Page MenuHomePhabricator

Parsoid patches don't update Beta Cluster automatically -- only deploy repo patches seem to update that code
Closed, ResolvedPublic

Description

We had a bad patch (with a typo) get merged in Parsoid (https://gerrit.wikimedia.org/r/#/c/194452/), but Beta Cluster wasn't updated to this patch. It was only after a deploy repo patch was merged this morning (https://gerrit.wikimedia.org/r/#/c/197051/) that beta labs got updated and Flow noticed that Parsoid instance broke there and filed T92859.

Without that breakage, we would have ended up deploying this code to production this afternoon and would have had to revert after breaking production Parsoid.

We are also missing mock statsd based testing of this code in Parsoid itself -- that will be fixed separately.

Details

Related Gerrit Patches:
operations/puppet : productionbeta: parsoid now uses modules defined in source
operations/puppet : productionbeta: point parsoid back to source code
integration/config : masterparsoid: deploy node_modules with npm

Event Timeline

ssastry created this task.Mar 16 2015, 6:17 PM
ssastry raised the priority of this task from to High.
ssastry updated the task description. (Show Details)
ssastry added a subscriber: ssastry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2015, 6:17 PM
greg renamed this task from Parsoid patches don't update beta labs automatically -- only deploy repo patches seem to update that code to Parsoid patches don't update Beta Cluster automatically -- only deploy repo patches seem to update that code.Mar 16 2015, 6:24 PM
greg updated the task description. (Show Details)
greg set Security to None.
ssastry moved this task from Backlog to Non-Parsoid Tasks on the Parsoid board.Apr 21 2015, 3:55 AM

I don't know whether it's updating at deploy-time for Flow, but it's not updating normally from master: http://en.wikipedia.beta.wmflabs.org/wiki/Special:Version .

greg added a subscriber: greg.Apr 24 2015, 1:28 PM

Unrelated known problem.

hashar added a subscriber: hashar.Apr 28 2015, 3:01 PM
In T92871#1231878, @Mattflaschen wrote:

I don't know whether it's updating at deploy-time for Flow, but it's not updating normally from master: http://en.wikipedia.beta.wmflabs.org/wiki/Special:Version .

The Parsoid version listed on Special:Version is the extension mediawiki/extensions/Parsoid, that is a wrapper.

The beta-parsoid-update-eqiad Jenkins job pushes mediawiki/service/parsoid/ merged changes and restart the Parsoid daemon.

The bad change https://gerrit.wikimedia.org/r/#/c/194452/ was made on mediawiki/service/parsoid . I am not sure whether the beta daemon is using that repo or the deploy one. Needs to be verified.

hashar claimed this task.Apr 28 2015, 3:01 PM

Investigating

Jenkins job beta-parsoid-update-eqiad is triggered on deployment-parsoid05.eqiad.wmflabs whenever a change on the source or deploy repository and both are rsynced respectively under:

/srv/deployment/parsoid/parsoid
/srv/deployment/parsoid/deploy

On the instance, /etc/default/parsoid has:

# Checkout of mediawiki/services/parsoid
PARSOID_BASE_PATH=/srv/deployment/parsoid/deploy/src
# Checkout of mediawiki/services/parsoid/deploy
NODE_PATH=/srv/deployment/parsoid/deploy/node_modules
# Checkout of mediawiki/services/parsoid/deploy
PARSOID_SETTINGS_FILE=/srv/deployment/parsoid/deploy/conf/wmf/betalabs.localsettings.js

That is maintained by puppet in manifests/role/parsoid.pp under the class role::parsoid::beta which has the puppet variables:

# For beta, override NODE_PATH:
$parsoid_node_path = '/srv/deployment/parsoid/deploy/node_modules'
# Also override PARSOID_SETTINGS_FILE
$parsoid_settings_file = '/srv/deployment/parsoid/deploy/conf/wmf/betalabs.localsettings.js'

# Checkout of mediawiki/services/parsoid
$parsoid_base_path = '/srv/deployment/parsoid/deploy/src'

So in short, the beta cluster is running the parsoid code from mediawiki/services/parsoid/deploy !

It used used to be source repository with the node modules from the deploy repo ie:

# Use source code from source repo
$parsoid_base_path = '/srv/deployment/parsoid/parsoid'
# And node modules from deploy repo
$parsoid_node_path = '/srv/deployment/parsoid/deploy/node_modules'

But that has been changed in October 2014 to depend solely on the deploy repo with https://gerrit.wikimedia.org/r/#/c/169622/2/manifests/role/parsoid.pp,unified

I am not sure what the Parsoid team prefers. If we want to only use the deploy repo, we need to clean up the Zuul configuration to no more deploy the mediawiki/service/parsoid repo and clean it up from the instance.

hashar removed hashar as the assignee of this task.Apr 28 2015, 3:38 PM
hashar moved this task from Non-Parsoid Tasks to Needs Discussion on the Parsoid board.
hashar moved this task from Backlog to In progress on the Continuous-Integration-Config board.
ssastry added a subscriber: cscott.Apr 28 2015, 3:50 PM

Jenkins job beta-parsoid-update-eqiad is triggered on deployment-parsoid05.eqiad.wmflabs whenever a change on the source or deploy repository and both are rsynced respectively under:

/srv/deployment/parsoid/parsoid
/srv/deployment/parsoid/deploy

I see ..

I am not sure what the Parsoid team prefers. If we want to only use the deploy repo, we need to clean up the Zuul configuration to no more deploy the mediawiki/service/parsoid repo and clean it up from the instance.

So, this is tricky. So, if we want beta labs to reflect code that will be deployed to production, then it has to be the deploy repo. But, if we want to test individual patches as they are merged, then we won't be able to use beta labs for any tests prior to deploy since the parsoid code will always be different from what is being deployed. @cscott thoughts?

cscott added a comment.EditedApr 29 2015, 9:51 PM

We tend to deploy something very close to Parsoid master, so I think having the beta track master is the better option. That also gives a longer time window for people to notice beta being broken and tell us about it.

Yes, this complicates things when we deploy something which is *not* Parsoid master, perhaps because some change is risky, and it probably also complicates the case where there is a dependency between Parsoid and VE, so we need to be sure that VE is deployed to beta before the Parsoid patch lands on master. But I think we can manage that complexity.

Stated another way: the assumption is that the probability of finding a bug is proportional to the time it has live users testing it. So synching beta with master gives our buggy patches the longest possible time period to be caught before deploy.

Okay, we should also have @Catrope, @Jdforrester-WMF, @Esanders chime in as well since this also impacts VE QA on beta cluster, plus @Catrope made that original change -- so he might have had a reason for it.

@hashar so, based on IRC discussion, we want beta cluster to continue to update on parsoid patch merges. Can you do the necessary puppet changes to make that happen?

ssastry moved this task from Needs Discussion to Backlog on the Parsoid board.Apr 30 2015, 6:07 PM
hashar added a comment.May 5 2015, 3:03 PM

Potentially we were originally running the parsoid master branch with the node modules of the deploy repo. Maybe to ensure the tip of master is always deployable. That might explain why we had both repos cloned.

Now that we want to run the developers repo (and not the deploy ones) which node modules should we use?

  1. npm clean && npm install, and thus stop triggering the job on changes made to /deploy and delete it from beta.
  2. point NODE_PATH to a checkout of deploy? Might cause a bit of madness when you bump your dependencies in dev since you will need to retain back compatibility with whatever is provided by /deploy/

Both solutions are messy since npm install can install different packages than what will be deployed in production via the /deploy repo. Arlo proposed considering shrinkwrapping node modules (http://www.asyncdev.net/2012/08/locking-node-js-module-versions-with-shrinkwrap/) so that we can use solution (1) without introducing subtle failure modes because of version mismatches between beta and production. We'll discuss more tomorrow and update this here.

Sorry .. I dropped the ball on this. Will discuss today and will update.

Let us go with solution #2 for now. Given that we don't update modules very frequently, and usually when we do, we also push updates to the deploy repo to update those modules, the times when the beta cluster is broken because of solution #2 should be infrequent. If this proves inconvenient, we can investigating shrinkwrapping.

Some of us had a meeting about it during the hackathon. The notes are on T100099 and will be discussed during June 2nd 2015 Release-Engineering-Team meeting.

IIRC the aim is to use mediawiki/services/parsoid @ master and bring the dependencies using npm.

hashar added a subscriber: mobrovac.Jul 6 2015, 7:36 PM

So that is similar to T95652: On beta cluster citoid should self update and reload after change is merged where I wrote:

@mobrovac and I had some pairing last week to train him up on JJB usage. The informal .plan is to revisit each of the mediawiki services backend and have them all configured alike. Namely:

  • proper source/deploy jenkins jobs
  • self update via Jenkins jobs on postmerge
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 6 2015, 7:36 PM
hashar lowered the priority of this task from High to Normal.Jul 6 2015, 7:37 PM
hashar moved this task from To Triage to In-progress on the Beta-Cluster-Infrastructure board.
hashar claimed this task.Oct 6 2015, 4:56 PM

Was bring up during the SoS. An idea was to overhaul all the services deployment ( T100099 ) but we eventually lost track of the idea.

Change 243987 had a related patch set uploaded (by Hashar):
beta: point parsoid back to source code

https://gerrit.wikimedia.org/r/243987

hashar added a comment.Oct 6 2015, 7:17 PM

@ssastry and @cscott confirmed on IRC.

I have cherry picked https://gerrit.wikimedia.org/r/#/c/243987/ on the beta cluster puppet master.

/etc/default/parsoid

- PARSOID_BASE_PATH=/srv/deployment/parsoid/deploy/src
+ PARSOID_BASE_PATH=/srv/deployment/parsoid/parsoid

Puppet restarted the service:

Scheduling refresh of Service[parsoid]

Thanks to the universal API version stuff:

curl --silent http://127.0.0.1:8000/_version|python -m json.tool
{
    "name": "parsoid",
    "sha": "9f7bdebd73d56b9059c788c94bf9cc4388c4d814",
    "version": "0.4.1-git"
}

That is the last change merged in mediawiki/parsoid.git

Change 243992 had a related patch set uploaded (by Hashar):
beta: parsoid now uses modules defined in source

https://gerrit.wikimedia.org/r/243992

Change 243997 had a related patch set uploaded (by Hashar):
parsoid: deploy node_modules with npm

https://gerrit.wikimedia.org/r/243997

hashar raised the priority of this task from Normal to High.Oct 6 2015, 8:06 PM

Current status:

  • Parsoid on beta cluster runs code from mediawiki/services/parsoid with dependencies from mediawiki/services/deploy

Pending reviews / double check etc.

hashar added a comment.Oct 9 2015, 8:23 PM

I have completed the switch.

The first task earlier this week was to switch Parsoid source code from /deploy to /parsoid.git https://gerrit.wikimedia.org/r/#/c/243987/

A few minutes ago I have applied the follow up patch https://gerrit.wikimedia.org/r/#/c/243992/ which switch node_modules from /deploy to parsoid.git . That required a change to the Jenkins job https://gerrit.wikimedia.org/r/#/c/243997/ to make it run npm install.

I manually triggered the Jenkins job that update Parsoid on beta cluster (making sure it was the last merged change of parsoid.git). It managed to install dependencies:

1Started by user hashar
2Building remotely on deployment-parsoid05 (deployment-parsoid-eqiad) in workspace /mnt/jenkins-workspace/workspace/beta-parsoid-update-eqiad
3[beta-parsoid-update-eqiad] $ /bin/bash -xe /tmp/hudson3031553310416689919.sh
4+ /srv/deployment/integration/slave-scripts/bin/multigit.sh mediawiki/services/parsoid mediawiki/services/parsoid/deploy
5Change triggered by https://gerrit.wikimedia.org/r/#/c/244413/1
6
7Triggering informations:
8Pipeline : postmerge
9Project : mediawiki/services/parsoid
10Branch : master
11
12Hostname : deployment-parsoid05.deployment-prep.eqiad.wmflabs
13
14Refreshing mediawiki/services/parsoid in /mnt/jenkins-workspace/workspace/beta-parsoid-update-eqiad/parsoid
15Now in directory /mnt/jenkins-workspace/workspace/beta-parsoid-update-eqiad/parsoid
16Applying patch refs/zuul/master/Z1d2dbcf89a6a469b9f9f01e2482f3cd8 to mediawiki/services/parsoid in /mnt/jenkins-workspace/workspace/beta-parsoid-update-eqiad/parsoid
17From git://zuul.eqiad.wmnet/mediawiki/services/parsoid
18 * branch refs/zuul/master/Z1d2dbcf89a6a469b9f9f01e2482f3cd8 -> FETCH_HEAD
19+ git checkout -f FETCH_HEAD
20HEAD is now at 850b02d... An inline_break is a fine way to end a list
21+ git reset --hard FETCH_HEAD
22HEAD is now at 850b02d An inline_break is a fine way to end a list
23+ git clean -xdff -q
24+ set +x
25Refreshing mediawiki/services/parsoid submodules...
26Done refreshing and patching mediawiki/services/parsoid
27
28Refreshing mediawiki/services/parsoid/deploy in /mnt/jenkins-workspace/workspace/beta-parsoid-update-eqiad/deploy
29Now in directory /mnt/jenkins-workspace/workspace/beta-parsoid-update-eqiad/deploy
30Attempting to get mediawiki/services/parsoid/deploy to match change branch 'master'
31Switching mediawiki/services/parsoid/deploy to master
32+ git checkout -f master
33Already on 'master'
34Your branch is up-to-date with 'origin/master'.
35+ git reset --hard remotes/origin/master
36HEAD is now at 3129cbb Bump src to 62971510b for deploy
37+ git clean -xdff -q
38+ set +x
39Refreshing mediawiki/services/parsoid/deploy submodules...
40Done refreshing mediawiki/services/parsoid/deploy
41
42[beta-parsoid-update-eqiad] $ /bin/bash -xe /tmp/hudson2681257621698218480.sh
43+ cd parsoid
44+ rm -fR node_modules
45+ npm install
46npm http GET https://registry.npmjs.org/prfun/-/prfun-2.0.0.tgz
47npm http GET https://registry.npmjs.org/request/-/request-2.63.0.tgz
48npm http GET https://registry.npmjs.org/serve-favicon/-/serve-favicon-2.3.0.tgz
49npm http GET https://registry.npmjs.org/simplediff/-/simplediff-0.1.1.tgz
50npm http GET https://registry.npmjs.org/supertest/-/supertest-1.0.1.tgz
51npm http GET https://registry.npmjs.org/yargs/-/yargs-1.3.1.tgz
52npm http GET https://registry.npmjs.org/alea/-/alea-0.0.9.tgz
53npm http GET https://registry.npmjs.org/async/-/async-0.9.0.tgz
54npm http GET https://registry.npmjs.org/entities/-/entities-1.1.1.tgz
55npm http GET https://registry.npmjs.org/express/-/express-4.13.3.tgz
56npm http GET https://registry.npmjs.org/express-handlebars/-/express-handlebars-2.0.1.tgz
57npm http GET https://registry.npmjs.org/gelf-stream/-/gelf-stream-0.2.4.tgz
58npm http GET https://registry.npmjs.org/html5/-/html5-1.0.5.tgz
59npm http GET https://registry.npmjs.org/istanbul/-/istanbul-0.3.17.tgz
60npm http GET https://registry.npmjs.org/jscs/-/jscs-2.1.0.tgz
61npm http GET https://registry.npmjs.org/jshint/-/jshint-2.8.0.tgz
62npm http GET https://registry.npmjs.org/mocha/-/mocha-2.2.5.tgz
63npm http GET https://registry.npmjs.org/node-txstatsd/-/node-txstatsd-0.1.5.tgz
64npm http GET https://registry.npmjs.org/node-uuid/-/node-uuid-1.4.1.tgz
65npm http GET https://registry.npmjs.org/body-parser/-/body-parser-1.13.3.tgz
66npm http GET https://registry.npmjs.org/compression/-/compression-1.5.2.tgz
67npm http GET https://registry.npmjs.org/bunyan/-/bunyan-1.0.0.tgz
68npm http GET https://registry.npmjs.org/connect-busboy/-/connect-busboy-0.0.2.tgz
69npm http GET https://registry.npmjs.org/chai/-/chai-3.0.0.tgz
70npm http GET https://registry.npmjs.org/core-js/-/core-js-0.8.4.tgz
71npm http GET https://registry.npmjs.org/colors/-/colors-1.1.2.tgz
72npm http GET https://registry.npmjs.org/coveralls/-/coveralls-2.11.2.tgz
73npm http GET https://registry.npmjs.org/diff/-/diff-1.0.7.tgz
74npm http GET https://registry.npmjs.org/domino/-/domino-1.0.19.tgz
75npm http 200 https://registry.npmjs.org/supertest/-/supertest-1.0.1.tgz
76npm http 200 https://registry.npmjs.org/yargs/-/yargs-1.3.1.tgz
77npm http 200 https://registry.npmjs.org/request/-/request-2.63.0.tgz
78npm http 200 https://registry.npmjs.org/async/-/async-0.9.0.tgz
79npm http 200 https://registry.npmjs.org/simplediff/-/simplediff-0.1.1.tgz
80npm http 200 https://registry.npmjs.org/prfun/-/prfun-2.0.0.tgz
81npm http 200 https://registry.npmjs.org/entities/-/entities-1.1.1.tgz
82npm http 200 https://registry.npmjs.org/serve-favicon/-/serve-favicon-2.3.0.tgz
83npm http 200 https://registry.npmjs.org/express/-/express-4.13.3.tgz
84npm http 200 https://registry.npmjs.org/alea/-/alea-0.0.9.tgz
85npm http 200 https://registry.npmjs.org/istanbul/-/istanbul-0.3.17.tgz
86npm http 200 https://registry.npmjs.org/gelf-stream/-/gelf-stream-0.2.4.tgz
87npm http 200 https://registry.npmjs.org/jscs/-/jscs-2.1.0.tgz
88npm http 200 https://registry.npmjs.org/express-handlebars/-/express-handlebars-2.0.1.tgz
89npm http 200 https://registry.npmjs.org/jshint/-/jshint-2.8.0.tgz
90npm http 200 https://registry.npmjs.org/mocha/-/mocha-2.2.5.tgz
91npm http 200 https://registry.npmjs.org/html5/-/html5-1.0.5.tgz
92npm http 200 https://registry.npmjs.org/node-txstatsd/-/node-txstatsd-0.1.5.tgz
93npm http 200 https://registry.npmjs.org/body-parser/-/body-parser-1.13.3.tgz
94npm http 200 https://registry.npmjs.org/node-uuid/-/node-uuid-1.4.1.tgz
95npm http 200 https://registry.npmjs.org/compression/-/compression-1.5.2.tgz
96npm http 200 https://registry.npmjs.org/bunyan/-/bunyan-1.0.0.tgz
97npm http 200 https://registry.npmjs.org/connect-busboy/-/connect-busboy-0.0.2.tgz
98npm http 200 https://registry.npmjs.org/chai/-/chai-3.0.0.tgz
99npm http 200 https://registry.npmjs.org/core-js/-/core-js-0.8.4.tgz
100npm http 200 https://registry.npmjs.org/colors/-/colors-1.1.2.tgz
101npm http 200 https://registry.npmjs.org/coveralls/-/coveralls-2.11.2.tgz
102npm http 200 https://registry.npmjs.org/diff/-/diff-1.0.7.tgz
103npm http 200 https://registry.npmjs.org/domino/-/domino-1.0.19.tgz
104npm http GET https://registry.npmjs.org/busboy/-/busboy-0.2.9.tgz
105npm http GET https://registry.npmjs.org/etag/-/etag-1.7.0.tgz
106npm http GET https://registry.npmjs.org/fresh/-/fresh-0.3.0.tgz
107npm http GET https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
108npm http GET https://registry.npmjs.org/parseurl/-/parseurl-1.3.0.tgz
109npm http GET https://registry.npmjs.org/gelfling/-/gelfling-0.2.0.tgz
110npm http GET https://registry.npmjs.org/accepts/-/accepts-1.2.12.tgz
111npm http GET https://registry.npmjs.org/bytes/-/bytes-2.1.0.tgz
112npm http GET https://registry.npmjs.org/compressible/-/compressible-2.0.5.tgz
113npm http GET https://registry.npmjs.org/debug/-/debug-2.2.0.tgz
114npm http GET https://registry.npmjs.org/on-headers/-/on-headers-1.0.0.tgz
115npm http GET https://registry.npmjs.org/vary/-/vary-1.0.1.tgz
116npm http 200 https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
117npm http 200 https://registry.npmjs.org/busboy/-/busboy-0.2.9.tgz
118npm http 200 https://registry.npmjs.org/fresh/-/fresh-0.3.0.tgz
119npm http 200 https://registry.npmjs.org/parseurl/-/parseurl-1.3.0.tgz
120npm http 200 https://registry.npmjs.org/etag/-/etag-1.7.0.tgz
121npm http 200 https://registry.npmjs.org/gelfling/-/gelfling-0.2.0.tgz
122npm http 200 https://registry.npmjs.org/accepts/-/accepts-1.2.12.tgz
123npm http 200 https://registry.npmjs.org/compressible/-/compressible-2.0.5.tgz
124npm http 200 https://registry.npmjs.org/debug/-/debug-2.2.0.tgz
125npm http 200 https://registry.npmjs.org/bytes/-/bytes-2.1.0.tgz
126npm http 200 https://registry.npmjs.org/on-headers/-/on-headers-1.0.0.tgz
127npm http 200 https://registry.npmjs.org/vary/-/vary-1.0.1.tgz
128npm http GET https://registry.npmjs.org/glob/-/glob-5.0.14.tgz
129npm http GET https://registry.npmjs.org/graceful-fs/-/graceful-fs-3.0.8.tgz
130npm http GET https://registry.npmjs.org/handlebars/-/handlebars-3.0.3.tgz
131npm http GET https://registry.npmjs.org/object.assign/-/object.assign-1.1.1.tgz
132npm http GET https://registry.npmjs.org/promise/-/promise-6.1.0.tgz
133npm http GET https://registry.npmjs.org/on-finished/-/on-finished-2.3.0.tgz
134npm http GET https://registry.npmjs.org/qs/-/qs-4.0.0.tgz
135npm http GET https://registry.npmjs.org/raw-body/-/raw-body-2.1.2.tgz
136npm http GET https://registry.npmjs.org/type-is/-/type-is-1.6.7.tgz
137npm http GET https://registry.npmjs.org/content-type/-/content-type-1.0.1.tgz
138npm http GET https://registry.npmjs.org/depd/-/depd-1.0.1.tgz
139npm http GET https://registry.npmjs.org/http-errors/-/http-errors-1.3.1.tgz
140npm http GET https://registry.npmjs.org/iconv-lite/-/iconv-lite-0.4.11.tgz
141npm http 200 https://registry.npmjs.org/glob/-/glob-5.0.14.tgz
142npm http 200 https://registry.npmjs.org/graceful-fs/-/graceful-fs-3.0.8.tgz
143npm http 200 https://registry.npmjs.org/handlebars/-/handlebars-3.0.3.tgz
144npm http 200 https://registry.npmjs.org/promise/-/promise-6.1.0.tgz
145npm http 200 https://registry.npmjs.org/object.assign/-/object.assign-1.1.1.tgz
146npm http 200 https://registry.npmjs.org/on-finished/-/on-finished-2.3.0.tgz
147npm http 200 https://registry.npmjs.org/content-type/-/content-type-1.0.1.tgz
148npm http 200 https://registry.npmjs.org/type-is/-/type-is-1.6.7.tgz
149npm http 200 https://registry.npmjs.org/raw-body/-/raw-body-2.1.2.tgz
150npm http 200 https://registry.npmjs.org/depd/-/depd-1.0.1.tgz
151npm http 200 https://registry.npmjs.org/qs/-/qs-4.0.0.tgz
152npm http 200 https://registry.npmjs.org/http-errors/-/http-errors-1.3.1.tgz
153npm http 200 https://registry.npmjs.org/iconv-lite/-/iconv-lite-0.4.11.tgz
154npm http GET https://registry.npmjs.org/superagent/-/superagent-1.2.0.tgz
155npm http GET https://registry.npmjs.org/methods/-/methods-1.1.1.tgz
156npm http 200 https://registry.npmjs.org/methods/-/methods-1.1.1.tgz
157npm http 200 https://registry.npmjs.org/superagent/-/superagent-1.2.0.tgz
158npm http GET https://registry.npmjs.org/js-yaml/-/js-yaml-3.0.1.tgz
159npm http GET https://registry.npmjs.org/lcov-parse/-/lcov-parse-0.0.6.tgz
160npm http GET https://registry.npmjs.org/log-driver/-/log-driver-1.2.4.tgz
161npm http GET https://registry.npmjs.org/request/-/request-2.40.0.tgz
162npm http 200 https://registry.npmjs.org/js-yaml/-/js-yaml-3.0.1.tgz
163npm http 200 https://registry.npmjs.org/log-driver/-/log-driver-1.2.4.tgz
164npm http 200 https://registry.npmjs.org/lcov-parse/-/lcov-parse-0.0.6.tgz
165npm http 200 https://registry.npmjs.org/request/-/request-2.40.0.tgz
166npm http GET https://registry.npmjs.org/accepts/-/accepts-1.2.12.tgz
167npm http GET https://registry.npmjs.org/array-flatten/-/array-flatten-1.1.1.tgz
168npm http GET https://registry.npmjs.org/content-disposition/-/content-disposition-0.5.0.tgz
169npm http GET https://registry.npmjs.org/content-type/-/content-type-1.0.1.tgz
170npm http GET https://registry.npmjs.org/cookie/-/cookie-0.1.3.tgz
171npm http GET https://registry.npmjs.org/cookie-signature/-/cookie-signature-1.0.6.tgz
172npm http GET https://registry.npmjs.org/escape-html/-/escape-html-1.0.2.tgz
173npm http GET https://registry.npmjs.org/etag/-/etag-1.7.0.tgz
174npm http GET https://registry.npmjs.org/fresh/-/fresh-0.3.0.tgz
175npm http GET https://registry.npmjs.org/merge-descriptors/-/merge-descriptors-1.0.0.tgz
176npm http GET https://registry.npmjs.org/finalhandler/-/finalhandler-0.4.0.tgz
177npm http GET https://registry.npmjs.org/methods/-/methods-1.1.1.tgz
178npm http GET https://registry.npmjs.org/on-finished/-/on-finished-2.3.0.tgz
179npm http GET https://registry.npmjs.org/parseurl/-/parseurl-1.3.0.tgz
180npm http GET https://registry.npmjs.org/path-to-regexp/-/path-to-regexp-0.1.7.tgz
181npm http GET https://registry.npmjs.org/proxy-addr/-/proxy-addr-1.0.8.tgz
182npm http GET https://registry.npmjs.org/range-parser/-/range-parser-1.0.2.tgz
183npm http GET https://registry.npmjs.org/send/-/send-0.13.0.tgz
184npm http GET https://registry.npmjs.org/serve-static/-/serve-static-1.10.0.tgz
185npm http GET https://registry.npmjs.org/type-is/-/type-is-1.6.7.tgz
186npm http GET https://registry.npmjs.org/utils-merge/-/utils-merge-1.0.0.tgz
187npm http GET https://registry.npmjs.org/vary/-/vary-1.0.1.tgz
188npm http 200 https://registry.npmjs.org/accepts/-/accepts-1.2.12.tgz
189npm http 200 https://registry.npmjs.org/content-disposition/-/content-disposition-0.5.0.tgz
190npm http 200 https://registry.npmjs.org/cookie/-/cookie-0.1.3.tgz
191npm http 200 https://registry.npmjs.org/array-flatten/-/array-flatten-1.1.1.tgz
192npm http 200 https://registry.npmjs.org/cookie-signature/-/cookie-signature-1.0.6.tgz
193npm http 200 https://registry.npmjs.org/content-type/-/content-type-1.0.1.tgz
194npm http 200 https://registry.npmjs.org/escape-html/-/escape-html-1.0.2.tgz
195npm http 200 https://registry.npmjs.org/merge-descriptors/-/merge-descriptors-1.0.0.tgz
196npm http 200 https://registry.npmjs.org/finalhandler/-/finalhandler-0.4.0.tgz
197npm http 200 https://registry.npmjs.org/methods/-/methods-1.1.1.tgz
198npm http 200 https://registry.npmjs.org/etag/-/etag-1.7.0.tgz
199npm http 200 https://registry.npmjs.org/on-finished/-/on-finished-2.3.0.tgz
200npm http 200 https://registry.npmjs.org/parseurl/-/parseurl-1.3.0.tgz
201npm http 200 https://registry.npmjs.org/path-to-regexp/-/path-to-regexp-0.1.7.tgz
202npm http 200 https://registry.npmjs.org/proxy-addr/-/proxy-addr-1.0.8.tgz
203npm http 200 https://registry.npmjs.org/fresh/-/fresh-0.3.0.tgz
204npm http 200 https://registry.npmjs.org/range-parser/-/range-parser-1.0.2.tgz
205npm http 200 https://registry.npmjs.org/send/-/send-0.13.0.tgz
206npm http 200 https://registry.npmjs.org/serve-static/-/serve-static-1.10.0.tgz
207npm http 200 https://registry.npmjs.org/type-is/-/type-is-1.6.7.tgz
208npm http 200 https://registry.npmjs.org/utils-merge/-/utils-merge-1.0.0.tgz
209npm http 200 https://registry.npmjs.org/vary/-/vary-1.0.1.tgz
210npm http GET https://registry.npmjs.org/tough-cookie/-/tough-cookie-2.0.0.tgz
211npm http GET https://registry.npmjs.org/http-signature/-/http-signature-0.11.0.tgz
212npm http GET https://registry.npmjs.org/oauth-sign/-/oauth-sign-0.8.0.tgz
213npm http GET https://registry.npmjs.org/hawk/-/hawk-3.1.0.tgz
214npm http GET https://registry.npmjs.org/aws-sign2/-/aws-sign2-0.5.0.tgz
215npm http GET https://registry.npmjs.org/stringstream/-/stringstream-0.0.4.tgz
216npm http GET https://registry.npmjs.org/combined-stream/-/combined-stream-1.0.5.tgz
217npm http GET https://registry.npmjs.org/isstream/-/isstream-0.1.2.tgz
218npm http GET https://registry.npmjs.org/har-validator/-/har-validator-1.8.0.tgz
219npm http GET https://registry.npmjs.org/bl/-/bl-1.0.0.tgz
220npm http GET https://registry.npmjs.org/caseless/-/caseless-0.11.0.tgz
221npm http GET https://registry.npmjs.org/extend/-/extend-3.0.0.tgz
222npm http GET https://registry.npmjs.org/forever-agent/-/forever-agent-0.6.1.tgz
223npm http GET https://registry.npmjs.org/form-data/-/form-data-1.0.0-rc3.tgz
224npm http GET https://registry.npmjs.org/json-stringify-safe/-/json-stringify-safe-5.0.1.tgz
225npm http GET https://registry.npmjs.org/mime-types/-/mime-types-2.1.7.tgz
226npm http GET https://registry.npmjs.org/qs/-/qs-5.1.0.tgz
227npm http GET https://registry.npmjs.org/tunnel-agent/-/tunnel-agent-0.4.1.tgz
228npm http 200 https://registry.npmjs.org/oauth-sign/-/oauth-sign-0.8.0.tgz
229npm http 200 https://registry.npmjs.org/http-signature/-/http-signature-0.11.0.tgz
230npm http 200 https://registry.npmjs.org/stringstream/-/stringstream-0.0.4.tgz
231npm http 200 https://registry.npmjs.org/hawk/-/hawk-3.1.0.tgz
232npm http 200 https://registry.npmjs.org/tough-cookie/-/tough-cookie-2.0.0.tgz
233npm http 200 https://registry.npmjs.org/combined-stream/-/combined-stream-1.0.5.tgz
234npm http 200 https://registry.npmjs.org/aws-sign2/-/aws-sign2-0.5.0.tgz
235npm http 200 https://registry.npmjs.org/isstream/-/isstream-0.1.2.tgz
236npm http 200 https://registry.npmjs.org/har-validator/-/har-validator-1.8.0.tgz
237npm http 200 https://registry.npmjs.org/caseless/-/caseless-0.11.0.tgz
238npm http 200 https://registry.npmjs.org/bl/-/bl-1.0.0.tgz
239npm http 200 https://registry.npmjs.org/extend/-/extend-3.0.0.tgz
240npm http 200 https://registry.npmjs.org/forever-agent/-/forever-agent-0.6.1.tgz
241npm http 200 https://registry.npmjs.org/json-stringify-safe/-/json-stringify-safe-5.0.1.tgz
242npm http 200 https://registry.npmjs.org/form-data/-/form-data-1.0.0-rc3.tgz
243npm http 200 https://registry.npmjs.org/mime-types/-/mime-types-2.1.7.tgz
244npm http 200 https://registry.npmjs.org/qs/-/qs-5.1.0.tgz
245npm http 200 https://registry.npmjs.org/tunnel-agent/-/tunnel-agent-0.4.1.tgz
246npm http GET https://registry.npmjs.org/mime-db/-/mime-db-1.17.0.tgz
247npm http 200 https://registry.npmjs.org/mime-db/-/mime-db-1.17.0.tgz
248npm http GET https://registry.npmjs.org/mime-types/-/mime-types-2.1.5.tgz
249npm http GET https://registry.npmjs.org/negotiator/-/negotiator-0.5.3.tgz
250npm http 200 https://registry.npmjs.org/negotiator/-/negotiator-0.5.3.tgz
251npm http 200 https://registry.npmjs.org/mime-types/-/mime-types-2.1.5.tgz
252npm http GET https://registry.npmjs.org/es6-shim/-/es6-shim-0.33.3.tgz
253npm http GET https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
254npm http 200 https://registry.npmjs.org/es6-shim/-/es6-shim-0.33.3.tgz
255npm http 200 https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
256npm http GET https://registry.npmjs.org/nopt/-/nopt-3.0.3.tgz
257npm http GET https://registry.npmjs.org/fileset/-/fileset-0.2.1.tgz
258npm http GET https://registry.npmjs.org/which/-/which-1.0.9.tgz
259npm http GET https://registry.npmjs.org/async/-/async-1.3.0.tgz
260npm http GET https://registry.npmjs.org/supports-color/-/supports-color-1.3.1.tgz
261npm http GET https://registry.npmjs.org/abbrev/-/abbrev-1.0.7.tgz
262npm http GET https://registry.npmjs.org/wordwrap/-/wordwrap-0.0.3.tgz
263npm http GET https://registry.npmjs.org/resolve/-/resolve-1.1.6.tgz
264npm http GET https://registry.npmjs.org/js-yaml/-/js-yaml-3.3.1.tgz
265npm http GET https://registry.npmjs.org/once/-/once-1.3.2.tgz
266npm http GET https://registry.npmjs.org/esprima/-/esprima-2.4.1.tgz
267npm http GET https://registry.npmjs.org/escodegen/-/escodegen-1.6.1.tgz
268npm http GET https://registry.npmjs.org/handlebars/-/handlebars-3.0.0.tgz
269npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.5.1.tgz
270npm http GET https://registry.npmjs.org/unpipe/-/unpipe-1.0.0.tgz
271npm http GET https://registry.npmjs.org/assertion-error/-/assertion-error-1.0.1.tgz
272npm http GET https://registry.npmjs.org/deep-eql/-/deep-eql-0.1.3.tgz
273npm http GET https://registry.npmjs.org/type-detect/-/type-detect-1.0.0.tgz
274npm http GET https://registry.npmjs.org/ee-first/-/ee-first-1.1.1.tgz
275npm http GET https://registry.npmjs.org/forwarded/-/forwarded-0.1.0.tgz
276npm http GET https://registry.npmjs.org/ipaddr.js/-/ipaddr.js-1.0.1.tgz
277npm http GET https://registry.npmjs.org/media-typer/-/media-typer-0.3.0.tgz
278npm http GET https://registry.npmjs.org/mime-types/-/mime-types-2.1.5.tgz
279npm http 200 https://registry.npmjs.org/supports-color/-/supports-color-1.3.1.tgz
280npm http 200 https://registry.npmjs.org/async/-/async-1.3.0.tgz
281npm http 200 https://registry.npmjs.org/which/-/which-1.0.9.tgz
282npm http 200 https://registry.npmjs.org/fileset/-/fileset-0.2.1.tgz
283npm http 200 https://registry.npmjs.org/nopt/-/nopt-3.0.3.tgz
284npm http 200 https://registry.npmjs.org/abbrev/-/abbrev-1.0.7.tgz
285npm http 200 https://registry.npmjs.org/resolve/-/resolve-1.1.6.tgz
286npm http 200 https://registry.npmjs.org/wordwrap/-/wordwrap-0.0.3.tgz
287npm http 200 https://registry.npmjs.org/esprima/-/esprima-2.4.1.tgz
288npm http 200 https://registry.npmjs.org/escodegen/-/escodegen-1.6.1.tgz
289npm http 200 https://registry.npmjs.org/js-yaml/-/js-yaml-3.3.1.tgz
290npm http 200 https://registry.npmjs.org/once/-/once-1.3.2.tgz
291npm http 200 https://registry.npmjs.org/handlebars/-/handlebars-3.0.0.tgz
292npm http 200 https://registry.npmjs.org/unpipe/-/unpipe-1.0.0.tgz
293npm http 200 https://registry.npmjs.org/assertion-error/-/assertion-error-1.0.1.tgz
294npm http 200 https://registry.npmjs.org/mkdirp/-/mkdirp-0.5.1.tgz
295npm http 200 https://registry.npmjs.org/deep-eql/-/deep-eql-0.1.3.tgz
296npm http 200 https://registry.npmjs.org/type-detect/-/type-detect-1.0.0.tgz
297npm http 200 https://registry.npmjs.org/ee-first/-/ee-first-1.1.1.tgz
298npm http 200 https://registry.npmjs.org/forwarded/-/forwarded-0.1.0.tgz
299npm http 200 https://registry.npmjs.org/ipaddr.js/-/ipaddr.js-1.0.1.tgz
300npm http 200 https://registry.npmjs.org/media-typer/-/media-typer-0.3.0.tgz
301npm http 200 https://registry.npmjs.org/mime-types/-/mime-types-2.1.5.tgz
302npm http GET https://registry.npmjs.org/destroy/-/destroy-1.0.3.tgz
303npm http GET https://registry.npmjs.org/http-errors/-/http-errors-1.3.1.tgz
304npm http GET https://registry.npmjs.org/mime/-/mime-1.3.4.tgz
305npm http GET https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
306npm http GET https://registry.npmjs.org/statuses/-/statuses-1.2.1.tgz
307npm http 200 https://registry.npmjs.org/statuses/-/statuses-1.2.1.tgz
308npm http 200 https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
309npm http 200 https://registry.npmjs.org/http-errors/-/http-errors-1.3.1.tgz
310npm http 200 https://registry.npmjs.org/destroy/-/destroy-1.0.3.tgz
311npm http 200 https://registry.npmjs.org/mime/-/mime-1.3.4.tgz
312npm http GET https://registry.npmjs.org/escape-string-regexp/-/escape-string-regexp-1.0.2.tgz
313npm http GET https://registry.npmjs.org/glob/-/glob-3.2.3.tgz
314npm http GET https://registry.npmjs.org/growl/-/growl-1.8.1.tgz
315npm http GET https://registry.npmjs.org/jade/-/jade-0.26.3.tgz
316npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.5.0.tgz
317npm http GET https://registry.npmjs.org/supports-color/-/supports-color-1.2.1.tgz
318npm http GET https://registry.npmjs.org/commander/-/commander-2.3.0.tgz
319npm http GET https://registry.npmjs.org/debug/-/debug-2.0.0.tgz
320npm http GET https://registry.npmjs.org/diff/-/diff-1.4.0.tgz
321npm http 200 https://registry.npmjs.org/mkdirp/-/mkdirp-0.5.0.tgz
322npm http 200 https://registry.npmjs.org/escape-string-regexp/-/escape-string-regexp-1.0.2.tgz
323npm http 200 https://registry.npmjs.org/growl/-/growl-1.8.1.tgz
324npm http 200 https://registry.npmjs.org/glob/-/glob-3.2.3.tgz
325npm http 200 https://registry.npmjs.org/jade/-/jade-0.26.3.tgz
326npm http 200 https://registry.npmjs.org/commander/-/commander-2.3.0.tgz
327npm http 200 https://registry.npmjs.org/debug/-/debug-2.0.0.tgz
328npm http 200 https://registry.npmjs.org/supports-color/-/supports-color-1.2.1.tgz
329npm http 200 https://registry.npmjs.org/diff/-/diff-1.4.0.tgz
330npm http GET https://registry.npmjs.org/mv/-/mv-2.0.3.tgz
331npm http 200 https://registry.npmjs.org/mv/-/mv-2.0.3.tgz
332npm http GET https://registry.npmjs.org/type-detect/-/type-detect-0.1.1.tgz
333npm http 200 https://registry.npmjs.org/type-detect/-/type-detect-0.1.1.tgz
334npm http GET https://registry.npmjs.org/component-emitter/-/component-emitter-1.1.2.tgz
335npm http GET https://registry.npmjs.org/methods/-/methods-1.0.1.tgz
336npm http GET https://registry.npmjs.org/cookiejar/-/cookiejar-2.0.1.tgz
337npm http GET https://registry.npmjs.org/debug/-/debug-2.2.0.tgz
338npm http GET https://registry.npmjs.org/reduce-component/-/reduce-component-1.0.1.tgz
339npm http GET https://registry.npmjs.org/extend/-/extend-1.2.1.tgz
340npm http GET https://registry.npmjs.org/form-data/-/form-data-0.2.0.tgz
341npm http GET https://registry.npmjs.org/readable-stream/-/readable-stream-1.0.27-1.tgz
342npm http GET https://registry.npmjs.org/qs/-/qs-2.3.3.tgz
343npm http GET https://registry.npmjs.org/formidable/-/formidable-1.0.14.tgz
344npm http 200 https://registry.npmjs.org/component-emitter/-/component-emitter-1.1.2.tgz
345npm http 200 https://registry.npmjs.org/methods/-/methods-1.0.1.tgz
346npm http 200 https://registry.npmjs.org/cookiejar/-/cookiejar-2.0.1.tgz
347npm http 200 https://registry.npmjs.org/debug/-/debug-2.2.0.tgz
348npm http 200 https://registry.npmjs.org/reduce-component/-/reduce-component-1.0.1.tgz
349npm http 200 https://registry.npmjs.org/extend/-/extend-1.2.1.tgz
350npm http 200 https://registry.npmjs.org/form-data/-/form-data-0.2.0.tgz
351npm http 200 https://registry.npmjs.org/qs/-/qs-2.3.3.tgz
352npm http 200 https://registry.npmjs.org/readable-stream/-/readable-stream-1.0.27-1.tgz
353npm http 200 https://registry.npmjs.org/formidable/-/formidable-1.0.14.tgz
354npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
355npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
356npm http GET https://registry.npmjs.org/ncp/-/ncp-0.6.0.tgz
357npm http GET https://registry.npmjs.org/rimraf/-/rimraf-2.2.8.tgz
358npm http 200 https://registry.npmjs.org/rimraf/-/rimraf-2.2.8.tgz
359npm http 200 https://registry.npmjs.org/ncp/-/ncp-0.6.0.tgz
360npm http GET https://registry.npmjs.org/mime-types/-/mime-types-1.0.2.tgz
361npm http GET https://registry.npmjs.org/forever-agent/-/forever-agent-0.5.2.tgz
362npm http GET https://registry.npmjs.org/form-data/-/form-data-0.1.4.tgz
363npm http GET https://registry.npmjs.org/tunnel-agent/-/tunnel-agent-0.4.1.tgz
364npm http GET https://registry.npmjs.org/http-signature/-/http-signature-0.10.1.tgz
365npm http GET https://registry.npmjs.org/hawk/-/hawk-1.1.1.tgz
366npm http GET https://registry.npmjs.org/oauth-sign/-/oauth-sign-0.3.0.tgz
367npm http GET https://registry.npmjs.org/aws-sign2/-/aws-sign2-0.5.0.tgz
368npm http GET https://registry.npmjs.org/stringstream/-/stringstream-0.0.4.tgz
369npm http GET https://registry.npmjs.org/qs/-/qs-1.0.2.tgz
370npm http GET https://registry.npmjs.org/json-stringify-safe/-/json-stringify-safe-5.0.1.tgz
371npm http 200 https://registry.npmjs.org/mime-types/-/mime-types-1.0.2.tgz
372npm http 200 https://registry.npmjs.org/tunnel-agent/-/tunnel-agent-0.4.1.tgz
373npm http 200 https://registry.npmjs.org/forever-agent/-/forever-agent-0.5.2.tgz
374npm http 200 https://registry.npmjs.org/hawk/-/hawk-1.1.1.tgz
375npm http 200 https://registry.npmjs.org/oauth-sign/-/oauth-sign-0.3.0.tgz
376npm http 200 https://registry.npmjs.org/http-signature/-/http-signature-0.10.1.tgz
377npm http 200 https://registry.npmjs.org/form-data/-/form-data-0.1.4.tgz
378npm http 200 https://registry.npmjs.org/aws-sign2/-/aws-sign2-0.5.0.tgz
379npm http 200 https://registry.npmjs.org/stringstream/-/stringstream-0.0.4.tgz
380npm http 200 https://registry.npmjs.org/qs/-/qs-1.0.2.tgz
381npm http 200 https://registry.npmjs.org/json-stringify-safe/-/json-stringify-safe-5.0.1.tgz
382npm http GET https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
383npm http GET https://registry.npmjs.org/esprima/-/esprima-1.0.4.tgz
384npm http GET https://registry.npmjs.org/argparse/-/argparse-0.1.16.tgz
385npm http 200 https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
386npm http 200 https://registry.npmjs.org/esprima/-/esprima-1.0.4.tgz
387npm http 200 https://registry.npmjs.org/argparse/-/argparse-0.1.16.tgz
388npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
389npm http GET https://registry.npmjs.org/statuses/-/statuses-1.2.1.tgz
390npm http GET https://registry.npmjs.org/ee-first/-/ee-first-1.1.1.tgz
391npm http GET https://registry.npmjs.org/media-typer/-/media-typer-0.3.0.tgz
392npm http GET https://registry.npmjs.org/mime-types/-/mime-types-2.1.5.tgz
393npm http GET https://registry.npmjs.org/unpipe/-/unpipe-1.0.0.tgz
394npm http 200 https://registry.npmjs.org/statuses/-/statuses-1.2.1.tgz
395npm http 200 https://registry.npmjs.org/unpipe/-/unpipe-1.0.0.tgz
396npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
397npm http 200 https://registry.npmjs.org/mime-types/-/mime-types-2.1.5.tgz
398npm http 200 https://registry.npmjs.org/media-typer/-/media-typer-0.3.0.tgz
399npm http 200 https://registry.npmjs.org/ee-first/-/ee-first-1.1.1.tgz
400npm http GET https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
401npm http 200 https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
402npm http GET https://registry.npmjs.org/mime-db/-/mime-db-1.17.0.tgz
403npm http 200 https://registry.npmjs.org/mime-db/-/mime-db-1.17.0.tgz
404npm http GET https://registry.npmjs.org/combined-stream/-/combined-stream-0.0.7.tgz
405npm http GET https://registry.npmjs.org/mime-types/-/mime-types-2.0.14.tgz
406npm http GET https://registry.npmjs.org/ms/-/ms-0.6.2.tgz
407npm http 200 https://registry.npmjs.org/mime-types/-/mime-types-2.0.14.tgz
408npm http 200 https://registry.npmjs.org/combined-stream/-/combined-stream-0.0.7.tgz
409npm http 200 https://registry.npmjs.org/ms/-/ms-0.6.2.tgz
410npm http GET https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
411npm http 200 https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
412npm http GET https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
413npm http 200 https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
414npm http GET https://registry.npmjs.org/string_decoder/-/string_decoder-0.10.31.tgz
415npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
416npm http GET https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.1.tgz
417npm http GET https://registry.npmjs.org/isarray/-/isarray-0.0.1.tgz
418npm http 200 https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.1.tgz
419npm http 200 https://registry.npmjs.org/string_decoder/-/string_decoder-0.10.31.tgz
420npm http 200 https://registry.npmjs.org/isarray/-/isarray-0.0.1.tgz
421npm http GET https://registry.npmjs.org/minimatch/-/minimatch-0.2.14.tgz
422npm http GET https://registry.npmjs.org/graceful-fs/-/graceful-fs-2.0.3.tgz
423npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
424npm http 200 https://registry.npmjs.org/graceful-fs/-/graceful-fs-2.0.3.tgz
425npm http 200 https://registry.npmjs.org/minimatch/-/minimatch-0.2.14.tgz
426npm http GET https://registry.npmjs.org/delayed-stream/-/delayed-stream-0.0.5.tgz
427npm http GET https://registry.npmjs.org/mime-db/-/mime-db-1.12.0.tgz
428npm http 200 https://registry.npmjs.org/delayed-stream/-/delayed-stream-0.0.5.tgz
429npm http 200 https://registry.npmjs.org/mime-db/-/mime-db-1.12.0.tgz
430npm http GET https://registry.npmjs.org/commander/-/commander-0.6.1.tgz
431npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.0.tgz
432npm http 200 https://registry.npmjs.org/commander/-/commander-0.6.1.tgz
433npm http 200 https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.0.tgz
434npm WARN engine hawk@3.1.0: wanted: {"node":">=0.10.32"} (current: {"node":"v0.10.25","npm":"1.3.10"})
435npm http GET https://registry.npmjs.org/lru-cache/-/lru-cache-2.6.5.tgz
436npm http GET https://registry.npmjs.org/sigmund/-/sigmund-1.0.1.tgz
437npm http GET https://registry.npmjs.org/delayed-stream/-/delayed-stream-1.0.0.tgz
438npm http 200 https://registry.npmjs.org/lru-cache/-/lru-cache-2.6.5.tgz
439npm http 200 https://registry.npmjs.org/sigmund/-/sigmund-1.0.1.tgz
440npm http GET https://registry.npmjs.org/mime-db/-/mime-db-1.19.0.tgz
441npm http GET https://registry.npmjs.org/async/-/async-1.4.2.tgz
442npm http 200 https://registry.npmjs.org/delayed-stream/-/delayed-stream-1.0.0.tgz
443npm http 200 https://registry.npmjs.org/mime-db/-/mime-db-1.19.0.tgz
444npm http 200 https://registry.npmjs.org/async/-/async-1.4.2.tgz
445npm http GET https://registry.npmjs.org/readable-stream/-/readable-stream-2.0.2.tgz
446npm http GET https://registry.npmjs.org/ctype/-/ctype-0.5.3.tgz
447npm http GET https://registry.npmjs.org/assert-plus/-/assert-plus-0.1.5.tgz
448npm http GET https://registry.npmjs.org/asn1/-/asn1-0.1.11.tgz
449npm http GET https://registry.npmjs.org/bluebird/-/bluebird-2.10.1.tgz
450npm http GET https://registry.npmjs.org/chalk/-/chalk-1.1.1.tgz
451npm http GET https://registry.npmjs.org/commander/-/commander-2.8.1.tgz
452npm http GET https://registry.npmjs.org/is-my-json-valid/-/is-my-json-valid-2.12.2.tgz
453npm http 200 https://registry.npmjs.org/readable-stream/-/readable-stream-2.0.2.tgz
454npm http 200 https://registry.npmjs.org/asn1/-/asn1-0.1.11.tgz
455npm http 200 https://registry.npmjs.org/assert-plus/-/assert-plus-0.1.5.tgz
456npm http 200 https://registry.npmjs.org/chalk/-/chalk-1.1.1.tgz
457npm http 200 https://registry.npmjs.org/ctype/-/ctype-0.5.3.tgz
458npm http 200 https://registry.npmjs.org/commander/-/commander-2.8.1.tgz
459npm http 200 https://registry.npmjs.org/is-my-json-valid/-/is-my-json-valid-2.12.2.tgz
460npm http 200 https://registry.npmjs.org/bluebird/-/bluebird-2.10.1.tgz
461npm http GET https://registry.npmjs.org/combined-stream/-/combined-stream-0.0.7.tgz
462npm http GET https://registry.npmjs.org/mime/-/mime-1.2.11.tgz
463npm http 200 https://registry.npmjs.org/combined-stream/-/combined-stream-0.0.7.tgz
464npm http 200 https://registry.npmjs.org/mime/-/mime-1.2.11.tgz
465npm http GET https://registry.npmjs.org/assert-plus/-/assert-plus-0.1.5.tgz
466npm http 200 https://registry.npmjs.org/assert-plus/-/assert-plus-0.1.5.tgz
467npm http GET https://registry.npmjs.org/sntp/-/sntp-1.0.9.tgz
468npm http GET https://registry.npmjs.org/hoek/-/hoek-2.16.3.tgz
469npm http GET https://registry.npmjs.org/boom/-/boom-2.9.0.tgz
470npm http GET https://registry.npmjs.org/cryptiles/-/cryptiles-2.0.5.tgz
471npm http GET https://registry.npmjs.org/exit/-/exit-0.1.2.tgz
472npm http GET https://registry.npmjs.org/htmlparser2/-/htmlparser2-3.8.3.tgz
473npm http GET https://registry.npmjs.org/minimatch/-/minimatch-2.0.8.tgz
474npm http GET https://registry.npmjs.org/shelljs/-/shelljs-0.3.0.tgz
475npm http GET https://registry.npmjs.org/strip-json-comments/-/strip-json-comments-1.0.2.tgz
476npm http GET https://registry.npmjs.org/lodash/-/lodash-3.7.0.tgz
477npm http GET https://registry.npmjs.org/cli/-/cli-0.6.6.tgz
478npm http GET https://registry.npmjs.org/console-browserify/-/console-browserify-1.1.0.tgz
479npm http 200 https://registry.npmjs.org/sntp/-/sntp-1.0.9.tgz
480npm http 200 https://registry.npmjs.org/cryptiles/-/cryptiles-2.0.5.tgz
481npm http 200 https://registry.npmjs.org/hoek/-/hoek-2.16.3.tgz
482npm http 200 https://registry.npmjs.org/boom/-/boom-2.9.0.tgz
483npm http 200 https://registry.npmjs.org/minimatch/-/minimatch-2.0.8.tgz
484npm http 200 https://registry.npmjs.org/htmlparser2/-/htmlparser2-3.8.3.tgz
485npm http 200 https://registry.npmjs.org/shelljs/-/shelljs-0.3.0.tgz
486npm http 200 https://registry.npmjs.org/exit/-/exit-0.1.2.tgz
487npm http 200 https://registry.npmjs.org/strip-json-comments/-/strip-json-comments-1.0.2.tgz
488npm http 200 https://registry.npmjs.org/lodash/-/lodash-3.7.0.tgz
489npm http 200 https://registry.npmjs.org/cli/-/cli-0.6.6.tgz
490npm http 200 https://registry.npmjs.org/console-browserify/-/console-browserify-1.1.0.tgz
491npm http GET https://registry.npmjs.org/sntp/-/sntp-0.2.4.tgz
492npm http GET https://registry.npmjs.org/hoek/-/hoek-0.9.1.tgz
493npm http GET https://registry.npmjs.org/boom/-/boom-0.4.2.tgz
494npm http GET https://registry.npmjs.org/cryptiles/-/cryptiles-0.2.2.tgz
495npm http 200 https://registry.npmjs.org/sntp/-/sntp-0.2.4.tgz
496npm http 200 https://registry.npmjs.org/cryptiles/-/cryptiles-0.2.2.tgz
497npm http GET https://registry.npmjs.org/delayed-stream/-/delayed-stream-0.0.5.tgz
498npm http 200 https://registry.npmjs.org/boom/-/boom-0.4.2.tgz
499npm http 200 https://registry.npmjs.org/hoek/-/hoek-0.9.1.tgz
500npm http 200 https://registry.npmjs.org/delayed-stream/-/delayed-stream-0.0.5.tgz
501npm http GET https://registry.npmjs.org/dicer/-/dicer-0.2.3.tgz
502npm http GET https://registry.npmjs.org/readable-stream/-/readable-stream-1.1.13.tgz
503npm http 200 https://registry.npmjs.org/dicer/-/dicer-0.2.3.tgz
504npm http 200 https://registry.npmjs.org/readable-stream/-/readable-stream-1.1.13.tgz
505npm http GET https://registry.npmjs.org/process-nextick-args/-/process-nextick-args-1.0.3.tgz
506npm http GET https://registry.npmjs.org/string_decoder/-/string_decoder-0.10.31.tgz
507npm http GET https://registry.npmjs.org/util-deprecate/-/util-deprecate-1.0.1.tgz
508npm http GET https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.1.tgz
509npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
510npm http GET https://registry.npmjs.org/isarray/-/isarray-0.0.1.tgz
511npm http 200 https://registry.npmjs.org/process-nextick-args/-/process-nextick-args-1.0.3.tgz
512npm http 200 https://registry.npmjs.org/string_decoder/-/string_decoder-0.10.31.tgz
513npm http 200 https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.1.tgz
514npm http 200 https://registry.npmjs.org/util-deprecate/-/util-deprecate-1.0.1.tgz
515npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
516npm http 200 https://registry.npmjs.org/isarray/-/isarray-0.0.1.tgz
517npm WARN engine cryptiles@2.0.5: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.25","npm":"1.3.10"})
518npm WARN engine boom@2.9.0: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.25","npm":"1.3.10"})
519npm WARN engine hoek@2.16.3: wanted: {"node":">=0.10.40"} (current: {"node":"v0.10.25","npm":"1.3.10"})
520npm http GET https://registry.npmjs.org/opts/-/opts-1.2.2.tgz
521npm http GET https://registry.npmjs.org/html5-entities/-/html5-entities-1.0.0.tgz
522npm http 200 https://registry.npmjs.org/opts/-/opts-1.2.2.tgz
523npm http GET https://registry.npmjs.org/object-keys/-/object-keys-1.0.7.tgz
524npm http GET https://registry.npmjs.org/asap/-/asap-1.0.0.tgz
525npm http GET https://registry.npmjs.org/minimatch/-/minimatch-2.0.10.tgz
526npm http GET https://registry.npmjs.org/once/-/once-1.3.2.tgz
527npm http GET https://registry.npmjs.org/path-is-absolute/-/path-is-absolute-1.0.0.tgz
528npm http GET https://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz
529npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
530npm http 200 https://registry.npmjs.org/html5-entities/-/html5-entities-1.0.0.tgz
531npm http 200 https://registry.npmjs.org/object-keys/-/object-keys-1.0.7.tgz
532npm http 200 https://registry.npmjs.org/path-is-absolute/-/path-is-absolute-1.0.0.tgz
533npm http 200 https://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz
534npm http 200 https://registry.npmjs.org/asap/-/asap-1.0.0.tgz
535npm http 200 https://registry.npmjs.org/once/-/once-1.3.2.tgz
536npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
537npm http 200 https://registry.npmjs.org/minimatch/-/minimatch-2.0.10.tgz
538npm http GET https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
539npm http 200 https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
540npm http GET https://registry.npmjs.org/minimatch/-/minimatch-2.0.8.tgz
541npm http GET https://registry.npmjs.org/glob/-/glob-5.0.13.tgz
542npm http 200 https://registry.npmjs.org/minimatch/-/minimatch-2.0.8.tgz
543npm http 200 https://registry.npmjs.org/glob/-/glob-5.0.13.tgz
544npm http GET https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.1.tgz
545npm http GET https://registry.npmjs.org/isarray/-/isarray-0.0.1.tgz
546npm http GET https://registry.npmjs.org/string_decoder/-/string_decoder-0.10.31.tgz
547npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
548npm http GET https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
549npm http 200 https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.1.tgz
550npm http 200 https://registry.npmjs.org/isarray/-/isarray-0.0.1.tgz
551npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
552npm http 200 https://registry.npmjs.org/string_decoder/-/string_decoder-0.10.31.tgz
553npm http 200 https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
554npm http GET https://registry.npmjs.org/optionator/-/optionator-0.5.0.tgz
555npm http GET https://registry.npmjs.org/source-map/-/source-map-0.1.43.tgz
556npm http GET https://registry.npmjs.org/estraverse/-/estraverse-1.9.3.tgz
557npm http GET https://registry.npmjs.org/esutils/-/esutils-1.1.6.tgz
558npm http GET https://registry.npmjs.org/esprima/-/esprima-1.2.5.tgz
559npm http GET https://registry.npmjs.org/has-ansi/-/has-ansi-2.0.0.tgz
560npm http GET https://registry.npmjs.org/strip-ansi/-/strip-ansi-3.0.0.tgz
561npm http GET https://registry.npmjs.org/supports-color/-/supports-color-2.0.0.tgz
562npm http GET https://registry.npmjs.org/ansi-styles/-/ansi-styles-2.1.0.tgz
563npm http GET https://registry.npmjs.org/escape-string-regexp/-/escape-string-regexp-1.0.3.tgz
564npm http 200 https://registry.npmjs.org/estraverse/-/estraverse-1.9.3.tgz
565npm http 200 https://registry.npmjs.org/esutils/-/esutils-1.1.6.tgz
566npm http 200 https://registry.npmjs.org/source-map/-/source-map-0.1.43.tgz
567npm http 200 https://registry.npmjs.org/optionator/-/optionator-0.5.0.tgz
568npm http 200 https://registry.npmjs.org/has-ansi/-/has-ansi-2.0.0.tgz
569npm http 200 https://registry.npmjs.org/esprima/-/esprima-1.2.5.tgz
570npm http 200 https://registry.npmjs.org/strip-ansi/-/strip-ansi-3.0.0.tgz
571npm http 200 https://registry.npmjs.org/supports-color/-/supports-color-2.0.0.tgz
572npm http 200 https://registry.npmjs.org/ansi-styles/-/ansi-styles-2.1.0.tgz
573npm http 200 https://registry.npmjs.org/escape-string-regexp/-/escape-string-regexp-1.0.3.tgz
574npm http GET https://registry.npmjs.org/graceful-readlink/-/graceful-readlink-1.0.1.tgz
575npm http 200 https://registry.npmjs.org/graceful-readlink/-/graceful-readlink-1.0.1.tgz
576npm http GET https://registry.npmjs.org/streamsearch/-/streamsearch-0.1.2.tgz
577npm http GET https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
578npm http 200 https://registry.npmjs.org/streamsearch/-/streamsearch-0.1.2.tgz
579npm http GET https://registry.npmjs.org/ansi-regex/-/ansi-regex-2.0.0.tgz
580npm http 200 https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
581npm http 200 https://registry.npmjs.org/ansi-regex/-/ansi-regex-2.0.0.tgz
582npm http GET https://registry.npmjs.org/brace-expansion/-/brace-expansion-1.1.0.tgz
583npm http 200 https://registry.npmjs.org/brace-expansion/-/brace-expansion-1.1.0.tgz
584npm http GET https://registry.npmjs.org/underscore/-/underscore-1.7.0.tgz
585npm http GET https://registry.npmjs.org/underscore.string/-/underscore.string-2.4.0.tgz
586npm http 200 https://registry.npmjs.org/underscore/-/underscore-1.7.0.tgz
587npm http 200 https://registry.npmjs.org/underscore.string/-/underscore.string-2.4.0.tgz
588npm http GET https://registry.npmjs.org/argparse/-/argparse-1.0.2.tgz
589npm http GET https://registry.npmjs.org/esprima/-/esprima-2.2.0.tgz
590npm http GET https://registry.npmjs.org/generate-function/-/generate-function-2.0.0.tgz
591npm http GET https://registry.npmjs.org/generate-object-property/-/generate-object-property-1.2.0.tgz
592npm http GET https://registry.npmjs.org/jsonpointer/-/jsonpointer-2.0.0.tgz
593npm http GET https://registry.npmjs.org/xtend/-/xtend-4.0.0.tgz
594npm http 200 https://registry.npmjs.org/argparse/-/argparse-1.0.2.tgz
595npm http 200 https://registry.npmjs.org/esprima/-/esprima-2.2.0.tgz
596npm http 200 https://registry.npmjs.org/generate-function/-/generate-function-2.0.0.tgz
597npm http 200 https://registry.npmjs.org/jsonpointer/-/jsonpointer-2.0.0.tgz
598npm http 200 https://registry.npmjs.org/generate-object-property/-/generate-object-property-1.2.0.tgz
599npm http 200 https://registry.npmjs.org/xtend/-/xtend-4.0.0.tgz
600npm http GET https://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz
601npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
602npm http GET https://registry.npmjs.org/path-is-absolute/-/path-is-absolute-1.0.0.tgz
603npm http 200 https://registry.npmjs.org/path-is-absolute/-/path-is-absolute-1.0.0.tgz
604npm http 200 https://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz
605npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
606npm http GET https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
607npm http GET https://registry.npmjs.org/is-property/-/is-property-1.0.2.tgz
608npm http 200 https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
609npm http 200 https://registry.npmjs.org/is-property/-/is-property-1.0.2.tgz
610npm http GET https://registry.npmjs.org/balanced-match/-/balanced-match-0.2.0.tgz
611npm http GET https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz
612npm http 200 https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz
613npm http 200 https://registry.npmjs.org/balanced-match/-/balanced-match-0.2.0.tgz
614npm http GET https://registry.npmjs.org/uglify-js/-/uglify-js-2.3.6.tgz
615npm http GET https://registry.npmjs.org/optimist/-/optimist-0.6.1.tgz
616npm http GET https://registry.npmjs.org/source-map/-/source-map-0.1.43.tgz
617npm http 200 https://registry.npmjs.org/optimist/-/optimist-0.6.1.tgz
618npm http 200 https://registry.npmjs.org/uglify-js/-/uglify-js-2.3.6.tgz
619npm http 200 https://registry.npmjs.org/source-map/-/source-map-0.1.43.tgz
620npm http GET https://registry.npmjs.org/lodash/-/lodash-3.10.0.tgz
621npm http GET https://registry.npmjs.org/sprintf-js/-/sprintf-js-1.0.2.tgz
622npm http GET https://registry.npmjs.org/babel-jscs/-/babel-jscs-2.0.3.tgz
623npm http GET https://registry.npmjs.org/chalk/-/chalk-1.1.0.tgz
624npm http GET https://registry.npmjs.org/cli-table/-/cli-table-0.3.1.tgz
625npm http GET https://registry.npmjs.org/commander/-/commander-2.8.1.tgz
626npm http GET https://registry.npmjs.org/esprima/-/esprima-2.5.0.tgz
627npm http 200 https://registry.npmjs.org/lodash/-/lodash-3.10.0.tgz
628npm http 200 https://registry.npmjs.org/sprintf-js/-/sprintf-js-1.0.2.tgz
629npm http GET https://registry.npmjs.org/estraverse/-/estraverse-4.1.0.tgz
630npm http GET https://registry.npmjs.org/exit/-/exit-0.1.2.tgz
631npm http GET https://registry.npmjs.org/glob/-/glob-5.0.14.tgz
632npm http GET https://registry.npmjs.org/jscs-jsdoc/-/jscs-jsdoc-1.1.0.tgz
633npm http GET https://registry.npmjs.org/lodash.assign/-/lodash.assign-3.2.0.tgz
634npm http GET https://registry.npmjs.org/minimatch/-/minimatch-2.0.10.tgz
635npm http GET https://registry.npmjs.org/natural-compare/-/natural-compare-1.2.2.tgz
636npm http GET https://registry.npmjs.org/pathval/-/pathval-0.1.1.tgz
637npm http GET https://registry.npmjs.org/prompt/-/prompt-0.2.14.tgz
638npm http GET https://registry.npmjs.org/reserved-words/-/reserved-words-0.1.1.tgz
639npm http GET https://registry.npmjs.org/strip-json-comments/-/strip-json-comments-1.0.4.tgz
640npm http GET https://registry.npmjs.org/to-double-quotes/-/to-double-quotes-1.0.1.tgz
641npm http GET https://registry.npmjs.org/to-single-quotes/-/to-single-quotes-1.0.3.tgz
642npm http GET https://registry.npmjs.org/vow/-/vow-0.4.10.tgz
643npm http GET https://registry.npmjs.org/vow-fs/-/vow-fs-0.3.4.tgz
644npm http GET https://registry.npmjs.org/xmlbuilder/-/xmlbuilder-2.6.4.tgz
645npm http GET https://registry.npmjs.org/babel-core/-/babel-core-5.8.22.tgz
646npm http 200 https://registry.npmjs.org/commander/-/commander-2.8.1.tgz
647npm http 200 https://registry.npmjs.org/esprima/-/esprima-2.5.0.tgz
648npm http 200 https://registry.npmjs.org/estraverse/-/estraverse-4.1.0.tgz
649npm http 200 https://registry.npmjs.org/exit/-/exit-0.1.2.tgz
650npm http 200 https://registry.npmjs.org/cli-table/-/cli-table-0.3.1.tgz
651npm http 200 https://registry.npmjs.org/chalk/-/chalk-1.1.0.tgz
652npm http 200 https://registry.npmjs.org/glob/-/glob-5.0.14.tgz
653npm http 200 https://registry.npmjs.org/jscs-jsdoc/-/jscs-jsdoc-1.1.0.tgz
654npm http 200 https://registry.npmjs.org/lodash.assign/-/lodash.assign-3.2.0.tgz
655npm http 200 https://registry.npmjs.org/natural-compare/-/natural-compare-1.2.2.tgz
656npm http 200 https://registry.npmjs.org/pathval/-/pathval-0.1.1.tgz
657npm http 200 https://registry.npmjs.org/prompt/-/prompt-0.2.14.tgz
658npm http 200 https://registry.npmjs.org/minimatch/-/minimatch-2.0.10.tgz
659npm http 200 https://registry.npmjs.org/reserved-words/-/reserved-words-0.1.1.tgz
660npm http 200 https://registry.npmjs.org/strip-json-comments/-/strip-json-comments-1.0.4.tgz
661npm http 200 https://registry.npmjs.org/to-single-quotes/-/to-single-quotes-1.0.3.tgz
662npm http 200 https://registry.npmjs.org/babel-jscs/-/babel-jscs-2.0.3.tgz
663npm http 200 https://registry.npmjs.org/vow/-/vow-0.4.10.tgz
664npm http 200 https://registry.npmjs.org/vow-fs/-/vow-fs-0.3.4.tgz
665npm http 200 https://registry.npmjs.org/xmlbuilder/-/xmlbuilder-2.6.4.tgz
666npm http 200 https://registry.npmjs.org/babel-core/-/babel-core-5.8.22.tgz
667npm http 200 https://registry.npmjs.org/to-double-quotes/-/to-double-quotes-1.0.1.tgz
668npm http GET https://registry.npmjs.org/wordwrap/-/wordwrap-0.0.3.tgz
669npm http GET https://registry.npmjs.org/minimist/-/minimist-0.0.10.tgz
670npm http 200 https://registry.npmjs.org/minimist/-/minimist-0.0.10.tgz
671npm http 200 https://registry.npmjs.org/wordwrap/-/wordwrap-0.0.3.tgz
672npm http GET https://registry.npmjs.org/amdefine/-/amdefine-1.0.0.tgz
673npm http 200 https://registry.npmjs.org/amdefine/-/amdefine-1.0.0.tgz
674npm http GET https://registry.npmjs.org/async/-/async-0.2.10.tgz
675npm http GET https://registry.npmjs.org/optimist/-/optimist-0.3.7.tgz
676npm http 200 https://registry.npmjs.org/optimist/-/optimist-0.3.7.tgz
677npm http 200 https://registry.npmjs.org/async/-/async-0.2.10.tgz
678npm http GET https://registry.npmjs.org/amdefine/-/amdefine-0.1.1.tgz
679npm http 200 https://registry.npmjs.org/amdefine/-/amdefine-0.1.1.tgz
680npm http GET https://registry.npmjs.org/type-check/-/type-check-0.3.1.tgz
681npm http GET https://registry.npmjs.org/levn/-/levn-0.2.5.tgz
682npm http GET https://registry.npmjs.org/fast-levenshtein/-/fast-levenshtein-1.0.6.tgz
683npm http GET https://registry.npmjs.org/prelude-ls/-/prelude-ls-1.1.2.tgz
684npm http GET https://registry.npmjs.org/deep-is/-/deep-is-0.1.3.tgz
685npm http 200 https://registry.npmjs.org/type-check/-/type-check-0.3.1.tgz
686npm http 200 https://registry.npmjs.org/levn/-/levn-0.2.5.tgz
687npm http 200 https://registry.npmjs.org/fast-levenshtein/-/fast-levenshtein-1.0.6.tgz
688npm http 200 https://registry.npmjs.org/deep-is/-/deep-is-0.1.3.tgz
689npm http 200 https://registry.npmjs.org/prelude-ls/-/prelude-ls-1.1.2.tgz
690npm http GET https://registry.npmjs.org/async/-/async-0.2.10.tgz
691npm http 200 https://registry.npmjs.org/async/-/async-0.2.10.tgz
692npm http GET https://registry.npmjs.org/amdefine/-/amdefine-0.1.1.tgz
693npm http GET https://registry.npmjs.org/wordwrap/-/wordwrap-0.0.3.tgz
694npm http 200 https://registry.npmjs.org/amdefine/-/amdefine-0.1.1.tgz
695npm http 200 https://registry.npmjs.org/wordwrap/-/wordwrap-0.0.3.tgz
696npm http GET https://registry.npmjs.org/date-now/-/date-now-0.1.4.tgz
697npm http GET https://registry.npmjs.org/brace-expansion/-/brace-expansion-1.1.0.tgz
698npm http GET https://registry.npmjs.org/glob/-/glob-3.2.11.tgz
699npm http 200 https://registry.npmjs.org/date-now/-/date-now-0.1.4.tgz
700npm http 200 https://registry.npmjs.org/brace-expansion/-/brace-expansion-1.1.0.tgz
701npm http 200 https://registry.npmjs.org/glob/-/glob-3.2.11.tgz
702npm http GET https://registry.npmjs.org/entities/-/entities-1.0.0.tgz
703npm http GET https://registry.npmjs.org/domhandler/-/domhandler-2.3.0.tgz
704npm http GET https://registry.npmjs.org/domutils/-/domutils-1.5.1.tgz
705npm http GET https://registry.npmjs.org/domelementtype/-/domelementtype-1.3.0.tgz
706npm http GET https://registry.npmjs.org/readable-stream/-/readable-stream-1.1.13.tgz
707npm http 200 https://registry.npmjs.org/domhandler/-/domhandler-2.3.0.tgz
708npm http 200 https://registry.npmjs.org/domelementtype/-/domelementtype-1.3.0.tgz
709npm http 200 https://registry.npmjs.org/domutils/-/domutils-1.5.1.tgz
710npm http 200 https://registry.npmjs.org/entities/-/entities-1.0.0.tgz
711npm http 200 https://registry.npmjs.org/readable-stream/-/readable-stream-1.1.13.tgz
712npm http GET https://registry.npmjs.org/balanced-match/-/balanced-match-0.2.0.tgz
713npm http GET https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz
714npm http 200 https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz
715npm http 200 https://registry.npmjs.org/balanced-match/-/balanced-match-0.2.0.tgz
716npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
717npm http GET https://registry.npmjs.org/minimatch/-/minimatch-0.3.0.tgz
718npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
719npm http 200 https://registry.npmjs.org/minimatch/-/minimatch-0.3.0.tgz
720npm http GET https://registry.npmjs.org/dom-serializer/-/dom-serializer-0.1.0.tgz
721npm http GET https://registry.npmjs.org/string_decoder/-/string_decoder-0.10.31.tgz
722npm http GET https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.1.tgz
723npm http GET https://registry.npmjs.org/isarray/-/isarray-0.0.1.tgz
724npm http 200 https://registry.npmjs.org/dom-serializer/-/dom-serializer-0.1.0.tgz
725npm http 200 https://registry.npmjs.org/core-util-is/-/core-util-is-1.0.1.tgz
726npm http 200 https://registry.npmjs.org/string_decoder/-/string_decoder-0.10.31.tgz
727npm http 200 https://registry.npmjs.org/isarray/-/isarray-0.0.1.tgz
728npm http GET https://registry.npmjs.org/domelementtype/-/domelementtype-1.1.3.tgz
729npm http GET https://registry.npmjs.org/entities/-/entities-1.1.1.tgz
730npm http 200 https://registry.npmjs.org/domelementtype/-/domelementtype-1.1.3.tgz
731npm http 200 https://registry.npmjs.org/entities/-/entities-1.1.1.tgz
732npm http GET https://registry.npmjs.org/lru-cache/-/lru-cache-2.6.5.tgz
733npm http GET https://registry.npmjs.org/sigmund/-/sigmund-1.0.1.tgz
734npm http 200 https://registry.npmjs.org/lru-cache/-/lru-cache-2.6.5.tgz
735npm http 200 https://registry.npmjs.org/sigmund/-/sigmund-1.0.1.tgz
736npm http GET https://registry.npmjs.org/get-stdin/-/get-stdin-3.0.2.tgz
737npm http GET https://registry.npmjs.org/meow/-/meow-3.3.0.tgz
738npm http GET https://registry.npmjs.org/lodash.keys/-/lodash.keys-3.1.2.tgz
739npm http GET https://registry.npmjs.org/lodash._baseassign/-/lodash._baseassign-3.2.0.tgz
740npm http GET https://registry.npmjs.org/lodash._createassigner/-/lodash._createassigner-3.1.1.tgz
741npm http GET https://registry.npmjs.org/has-ansi/-/has-ansi-2.0.0.tgz
742npm http GET https://registry.npmjs.org/strip-ansi/-/strip-ansi-3.0.0.tgz
743npm http GET https://registry.npmjs.org/supports-color/-/supports-color-2.0.0.tgz
744npm http GET https://registry.npmjs.org/ansi-styles/-/ansi-styles-2.1.0.tgz
745npm http GET https://registry.npmjs.org/escape-string-regexp/-/escape-string-regexp-1.0.3.tgz
746npm http GET https://registry.npmjs.org/glob/-/glob-4.5.3.tgz
747npm http GET https://registry.npmjs.org/node-uuid/-/node-uuid-1.4.3.tgz
748npm http GET https://registry.npmjs.org/vow-queue/-/vow-queue-0.4.2.tgz
749npm http GET https://registry.npmjs.org/colors/-/colors-1.0.3.tgz
750npm http GET https://registry.npmjs.org/graceful-readlink/-/graceful-readlink-1.0.1.tgz
751npm http 200 https://registry.npmjs.org/get-stdin/-/get-stdin-3.0.2.tgz
752npm http 200 https://registry.npmjs.org/meow/-/meow-3.3.0.tgz
753npm http 200 https://registry.npmjs.org/lodash._baseassign/-/lodash._baseassign-3.2.0.tgz
754npm http 200 https://registry.npmjs.org/lodash._createassigner/-/lodash._createassigner-3.1.1.tgz
755npm http 200 https://registry.npmjs.org/lodash.keys/-/lodash.keys-3.1.2.tgz
756npm http 200 https://registry.npmjs.org/has-ansi/-/has-ansi-2.0.0.tgz
757npm http 200 https://registry.npmjs.org/strip-ansi/-/strip-ansi-3.0.0.tgz
758npm http 200 https://registry.npmjs.org/supports-color/-/supports-color-2.0.0.tgz
759npm http 200 https://registry.npmjs.org/ansi-styles/-/ansi-styles-2.1.0.tgz
760npm http 200 https://registry.npmjs.org/escape-string-regexp/-/escape-string-regexp-1.0.3.tgz
761npm http 200 https://registry.npmjs.org/vow-queue/-/vow-queue-0.4.2.tgz
762npm http 200 https://registry.npmjs.org/glob/-/glob-4.5.3.tgz
763npm http 200 https://registry.npmjs.org/graceful-readlink/-/graceful-readlink-1.0.1.tgz
764npm http 200 https://registry.npmjs.org/node-uuid/-/node-uuid-1.4.3.tgz
765npm http 200 https://registry.npmjs.org/colors/-/colors-1.0.3.tgz
766npm http GET https://registry.npmjs.org/path-is-absolute/-/path-is-absolute-1.0.0.tgz
767npm http GET https://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz
768npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
769npm http GET https://registry.npmjs.org/once/-/once-1.3.2.tgz
770npm http GET https://registry.npmjs.org/brace-expansion/-/brace-expansion-1.1.0.tgz
771npm http 200 https://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz
772npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
773npm http 200 https://registry.npmjs.org/once/-/once-1.3.2.tgz
774npm http 200 https://registry.npmjs.org/path-is-absolute/-/path-is-absolute-1.0.0.tgz
775npm http 200 https://registry.npmjs.org/brace-expansion/-/brace-expansion-1.1.0.tgz
776npm http GET https://registry.npmjs.org/lodash/-/lodash-3.10.1.tgz
777npm http 200 https://registry.npmjs.org/lodash/-/lodash-3.10.1.tgz
778npm http GET https://registry.npmjs.org/object-assign/-/object-assign-3.0.0.tgz
779npm http GET https://registry.npmjs.org/camelcase-keys/-/camelcase-keys-1.0.0.tgz
780npm http GET https://registry.npmjs.org/minimist/-/minimist-1.1.3.tgz
781npm http GET https://registry.npmjs.org/indent-string/-/indent-string-1.2.2.tgz
782npm http GET https://registry.npmjs.org/ansi-regex/-/ansi-regex-2.0.0.tgz
783npm http 200 https://registry.npmjs.org/ansi-regex/-/ansi-regex-2.0.0.tgz
784npm http GET https://registry.npmjs.org/comment-parser/-/comment-parser-0.3.0.tgz
785npm http GET https://registry.npmjs.org/jsdoctypeparser/-/jsdoctypeparser-1.2.0.tgz
786npm http 200 https://registry.npmjs.org/object-assign/-/object-assign-3.0.0.tgz
787npm http 200 https://registry.npmjs.org/indent-string/-/indent-string-1.2.2.tgz
788npm http 200 https://registry.npmjs.org/camelcase-keys/-/camelcase-keys-1.0.0.tgz
789npm http 200 https://registry.npmjs.org/minimist/-/minimist-1.1.3.tgz
790npm http GET https://registry.npmjs.org/lodash._basecopy/-/lodash._basecopy-3.0.1.tgz
791npm http GET https://registry.npmjs.org/lodash.restparam/-/lodash.restparam-3.6.1.tgz
792npm http GET https://registry.npmjs.org/lodash._bindcallback/-/lodash._bindcallback-3.0.1.tgz
793npm http GET https://registry.npmjs.org/lodash._isiterateecall/-/lodash._isiterateecall-3.0.9.tgz
794npm http GET https://registry.npmjs.org/lodash._getnative/-/lodash._getnative-3.9.1.tgz
795npm http GET https://registry.npmjs.org/lodash.isarguments/-/lodash.isarguments-3.0.4.tgz
796npm http GET https://registry.npmjs.org/lodash.isarray/-/lodash.isarray-3.0.4.tgz
797npm http 200 https://registry.npmjs.org/jsdoctypeparser/-/jsdoctypeparser-1.2.0.tgz
798npm http 200 https://registry.npmjs.org/comment-parser/-/comment-parser-0.3.0.tgz
799npm http 200 https://registry.npmjs.org/lodash._isiterateecall/-/lodash._isiterateecall-3.0.9.tgz
800npm http 200 https://registry.npmjs.org/lodash._getnative/-/lodash._getnative-3.9.1.tgz
801npm http 200 https://registry.npmjs.org/lodash.isarguments/-/lodash.isarguments-3.0.4.tgz
802npm http GET https://registry.npmjs.org/pkginfo/-/pkginfo-0.3.0.tgz
803npm http GET https://registry.npmjs.org/read/-/read-1.0.6.tgz
804npm http GET https://registry.npmjs.org/revalidator/-/revalidator-0.1.8.tgz
805npm http GET https://registry.npmjs.org/utile/-/utile-0.2.1.tgz
806npm http GET https://registry.npmjs.org/winston/-/winston-0.8.3.tgz
807npm http 200 https://registry.npmjs.org/lodash._basecopy/-/lodash._basecopy-3.0.1.tgz
808npm http 200 https://registry.npmjs.org/lodash.restparam/-/lodash.restparam-3.6.1.tgz
809npm http 200 https://registry.npmjs.org/lodash._bindcallback/-/lodash._bindcallback-3.0.1.tgz
810npm http 200 https://registry.npmjs.org/lodash.isarray/-/lodash.isarray-3.0.4.tgz
811npm http 200 https://registry.npmjs.org/read/-/read-1.0.6.tgz
812npm http 200 https://registry.npmjs.org/utile/-/utile-0.2.1.tgz
813npm http 200 https://registry.npmjs.org/winston/-/winston-0.8.3.tgz
814npm http 200 https://registry.npmjs.org/revalidator/-/revalidator-0.1.8.tgz
815npm http 200 https://registry.npmjs.org/pkginfo/-/pkginfo-0.3.0.tgz
816npm http GET https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
817npm http 200 https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
818npm http GET https://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz
819npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
820npm http GET https://registry.npmjs.org/once/-/once-1.3.2.tgz
821npm http GET https://registry.npmjs.org/balanced-match/-/balanced-match-0.2.0.tgz
822npm http GET https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz
823npm http 200 https://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz
824npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
825npm http 200 https://registry.npmjs.org/once/-/once-1.3.2.tgz
826npm http GET https://registry.npmjs.org/camelcase/-/camelcase-1.2.1.tgz
827npm http GET https://registry.npmjs.org/map-obj/-/map-obj-1.0.1.tgz
828npm http GET https://registry.npmjs.org/repeating/-/repeating-1.1.3.tgz
829npm http GET https://registry.npmjs.org/get-stdin/-/get-stdin-4.0.1.tgz
830npm http 200 https://registry.npmjs.org/concat-map/-/concat-map-0.0.1.tgz
831npm http 200 https://registry.npmjs.org/balanced-match/-/balanced-match-0.2.0.tgz
832npm http 200 https://registry.npmjs.org/get-stdin/-/get-stdin-4.0.1.tgz
833npm http 200 https://registry.npmjs.org/map-obj/-/map-obj-1.0.1.tgz
834npm http 200 https://registry.npmjs.org/camelcase/-/camelcase-1.2.1.tgz
835npm http 200 https://registry.npmjs.org/repeating/-/repeating-1.1.3.tgz
836npm http GET https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
837npm http GET https://registry.npmjs.org/is-finite/-/is-finite-1.0.1.tgz
838npm http 200 https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
839npm http 200 https://registry.npmjs.org/is-finite/-/is-finite-1.0.1.tgz
840npm http GET https://registry.npmjs.org/number-is-nan/-/number-is-nan-1.0.0.tgz
841npm http 200 https://registry.npmjs.org/number-is-nan/-/number-is-nan-1.0.0.tgz
842npm http GET https://registry.npmjs.org/mute-stream/-/mute-stream-0.0.5.tgz
843npm http GET https://registry.npmjs.org/async/-/async-0.2.10.tgz
844npm http GET https://registry.npmjs.org/deep-equal/-/deep-equal-1.0.0.tgz
845npm http GET https://registry.npmjs.org/i/-/i-0.3.3.tgz
846npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.5.1.tgz
847npm http GET https://registry.npmjs.org/ncp/-/ncp-0.4.2.tgz
848npm http 200 https://registry.npmjs.org/mute-stream/-/mute-stream-0.0.5.tgz
849npm http GET https://registry.npmjs.org/rimraf/-/rimraf-2.4.2.tgz
850npm http 200 https://registry.npmjs.org/ncp/-/ncp-0.4.2.tgz
851npm http 200 https://registry.npmjs.org/rimraf/-/rimraf-2.4.2.tgz
852npm http 200 https://registry.npmjs.org/deep-equal/-/deep-equal-1.0.0.tgz
853npm http 200 https://registry.npmjs.org/i/-/i-0.3.3.tgz
854npm http 200 https://registry.npmjs.org/mkdirp/-/mkdirp-0.5.1.tgz
855npm http 200 https://registry.npmjs.org/async/-/async-0.2.10.tgz
856npm http GET https://registry.npmjs.org/colors/-/colors-0.6.2.tgz
857npm http GET https://registry.npmjs.org/cycle/-/cycle-1.0.3.tgz
858npm http GET https://registry.npmjs.org/eyes/-/eyes-0.1.8.tgz
859npm http GET https://registry.npmjs.org/isstream/-/isstream-0.1.2.tgz
860npm http GET https://registry.npmjs.org/stack-trace/-/stack-trace-0.0.9.tgz
861npm http 200 https://registry.npmjs.org/colors/-/colors-0.6.2.tgz
862npm http 200 https://registry.npmjs.org/eyes/-/eyes-0.1.8.tgz
863npm http 200 https://registry.npmjs.org/cycle/-/cycle-1.0.3.tgz
864npm http 200 https://registry.npmjs.org/isstream/-/isstream-0.1.2.tgz
865npm http 200 https://registry.npmjs.org/stack-trace/-/stack-trace-0.0.9.tgz
866npm http GET https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
867npm http 200 https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
868npm http GET https://registry.npmjs.org/babel-plugin-constant-folding/-/babel-plugin-constant-folding-1.0.1.tgz
869npm http GET https://registry.npmjs.org/babel-plugin-dead-code-elimination/-/babel-plugin-dead-code-elimination-1.0.2.tgz
870npm http GET https://registry.npmjs.org/babel-plugin-eval/-/babel-plugin-eval-1.0.1.tgz
871npm http GET https://registry.npmjs.org/babel-plugin-inline-environment-variables/-/babel-plugin-inline-environment-variables-1.0.1.tgz
872npm http GET https://registry.npmjs.org/babel-plugin-jscript/-/babel-plugin-jscript-1.0.4.tgz
873npm http GET https://registry.npmjs.org/babel-plugin-member-expression-literals/-/babel-plugin-member-expression-literals-1.0.1.tgz
874npm http GET https://registry.npmjs.org/babel-plugin-property-literals/-/babel-plugin-property-literals-1.0.1.tgz
875npm http GET https://registry.npmjs.org/babel-plugin-proto-to-assign/-/babel-plugin-proto-to-assign-1.0.4.tgz
876npm http GET https://registry.npmjs.org/babel-plugin-react-constant-elements/-/babel-plugin-react-constant-elements-1.0.3.tgz
877npm http GET https://registry.npmjs.org/babel-plugin-react-display-name/-/babel-plugin-react-display-name-1.0.3.tgz
878npm http GET https://registry.npmjs.org/babel-plugin-remove-console/-/babel-plugin-remove-console-1.0.1.tgz
879npm http GET https://registry.npmjs.org/babel-plugin-remove-debugger/-/babel-plugin-remove-debugger-1.0.1.tgz
880npm http GET https://registry.npmjs.org/babel-plugin-runtime/-/babel-plugin-runtime-1.0.7.tgz
881npm http GET https://registry.npmjs.org/babel-plugin-undeclared-variables-check/-/babel-plugin-undeclared-variables-check-1.0.2.tgz
882npm http GET https://registry.npmjs.org/babel-plugin-undefined-to-void/-/babel-plugin-undefined-to-void-1.1.6.tgz
883npm http GET https://registry.npmjs.org/babylon/-/babylon-5.8.22.tgz
884npm http GET https://registry.npmjs.org/bluebird/-/bluebird-2.9.34.tgz
885npm http GET https://registry.npmjs.org/convert-source-map/-/convert-source-map-1.1.1.tgz
886npm http GET https://registry.npmjs.org/core-js/-/core-js-1.1.0.tgz
887npm http GET https://registry.npmjs.org/debug/-/debug-2.2.0.tgz
888npm http GET https://registry.npmjs.org/detect-indent/-/detect-indent-3.0.1.tgz
889npm http GET https://registry.npmjs.org/esutils/-/esutils-2.0.2.tgz
890npm http GET https://registry.npmjs.org/fs-readdir-recursive/-/fs-readdir-recursive-0.1.2.tgz
891npm http GET https://registry.npmjs.org/globals/-/globals-6.4.1.tgz
892npm http GET https://registry.npmjs.org/home-or-tmp/-/home-or-tmp-1.0.0.tgz
893npm http GET https://registry.npmjs.org/is-integer/-/is-integer-1.0.4.tgz
894npm http GET https://registry.npmjs.org/js-tokens/-/js-tokens-1.0.1.tgz
895npm http GET https://registry.npmjs.org/json5/-/json5-0.4.0.tgz
896npm http GET https://registry.npmjs.org/line-numbers/-/line-numbers-0.2.0.tgz
897npm http GET https://registry.npmjs.org/output-file-sync/-/output-file-sync-1.1.1.tgz
898npm http GET https://registry.npmjs.org/path-exists/-/path-exists-1.0.0.tgz
899npm http GET https://registry.npmjs.org/path-is-absolute/-/path-is-absolute-1.0.0.tgz
900npm http GET https://registry.npmjs.org/private/-/private-0.1.6.tgz
901npm http GET https://registry.npmjs.org/regenerator/-/regenerator-0.8.35.tgz
902npm http GET https://registry.npmjs.org/regexpu/-/regexpu-1.2.0.tgz
903npm http GET https://registry.npmjs.org/repeating/-/repeating-1.1.3.tgz
904npm http GET https://registry.npmjs.org/resolve/-/resolve-1.1.6.tgz
905npm http GET https://registry.npmjs.org/shebang-regex/-/shebang-regex-1.0.0.tgz
906npm http GET https://registry.npmjs.org/slash/-/slash-1.0.0.tgz
907npm http GET https://registry.npmjs.org/source-map/-/source-map-0.4.4.tgz
908npm http GET https://registry.npmjs.org/source-map-support/-/source-map-support-0.2.10.tgz
909npm http GET https://registry.npmjs.org/to-fast-properties/-/to-fast-properties-1.0.1.tgz
910npm http GET https://registry.npmjs.org/trim-right/-/trim-right-1.0.1.tgz
911npm http GET https://registry.npmjs.org/try-resolve/-/try-resolve-1.0.1.tgz
912npm http 200 https://registry.npmjs.org/babel-plugin-constant-folding/-/babel-plugin-constant-folding-1.0.1.tgz
913npm http 200 https://registry.npmjs.org/babel-plugin-dead-code-elimination/-/babel-plugin-dead-code-elimination-1.0.2.tgz
914npm http 200 https://registry.npmjs.org/babel-plugin-eval/-/babel-plugin-eval-1.0.1.tgz
915npm http 200 https://registry.npmjs.org/babel-plugin-inline-environment-variables/-/babel-plugin-inline-environment-variables-1.0.1.tgz
916npm http 200 https://registry.npmjs.org/babel-plugin-jscript/-/babel-plugin-jscript-1.0.4.tgz
917npm http 200 https://registry.npmjs.org/babel-plugin-member-expression-literals/-/babel-plugin-member-expression-literals-1.0.1.tgz
918npm http 200 https://registry.npmjs.org/babel-plugin-property-literals/-/babel-plugin-property-literals-1.0.1.tgz
919npm http 200 https://registry.npmjs.org/babel-plugin-proto-to-assign/-/babel-plugin-proto-to-assign-1.0.4.tgz
920npm http 200 https://registry.npmjs.org/babel-plugin-react-constant-elements/-/babel-plugin-react-constant-elements-1.0.3.tgz
921npm http 200 https://registry.npmjs.org/babel-plugin-react-display-name/-/babel-plugin-react-display-name-1.0.3.tgz
922npm http 200 https://registry.npmjs.org/babel-plugin-remove-console/-/babel-plugin-remove-console-1.0.1.tgz
923npm http 200 https://registry.npmjs.org/babel-plugin-remove-debugger/-/babel-plugin-remove-debugger-1.0.1.tgz
924npm http 200 https://registry.npmjs.org/babel-plugin-runtime/-/babel-plugin-runtime-1.0.7.tgz
925npm http 200 https://registry.npmjs.org/babel-plugin-undeclared-variables-check/-/babel-plugin-undeclared-variables-check-1.0.2.tgz
926npm http 200 https://registry.npmjs.org/babel-plugin-undefined-to-void/-/babel-plugin-undefined-to-void-1.1.6.tgz
927npm http 200 https://registry.npmjs.org/convert-source-map/-/convert-source-map-1.1.1.tgz
928npm http 200 https://registry.npmjs.org/debug/-/debug-2.2.0.tgz
929npm http 200 https://registry.npmjs.org/babylon/-/babylon-5.8.22.tgz
930npm http 200 https://registry.npmjs.org/bluebird/-/bluebird-2.9.34.tgz
931npm http 200 https://registry.npmjs.org/detect-indent/-/detect-indent-3.0.1.tgz
932npm http 200 https://registry.npmjs.org/esutils/-/esutils-2.0.2.tgz
933npm http 200 https://registry.npmjs.org/fs-readdir-recursive/-/fs-readdir-recursive-0.1.2.tgz
934npm http 200 https://registry.npmjs.org/globals/-/globals-6.4.1.tgz
935npm http 200 https://registry.npmjs.org/home-or-tmp/-/home-or-tmp-1.0.0.tgz
936npm http 200 https://registry.npmjs.org/is-integer/-/is-integer-1.0.4.tgz
937npm http 200 https://registry.npmjs.org/js-tokens/-/js-tokens-1.0.1.tgz
938npm http 200 https://registry.npmjs.org/json5/-/json5-0.4.0.tgz
939npm http 200 https://registry.npmjs.org/line-numbers/-/line-numbers-0.2.0.tgz
940npm http 200 https://registry.npmjs.org/output-file-sync/-/output-file-sync-1.1.1.tgz
941npm http 200 https://registry.npmjs.org/path-exists/-/path-exists-1.0.0.tgz
942npm http 200 https://registry.npmjs.org/path-is-absolute/-/path-is-absolute-1.0.0.tgz
943npm http 200 https://registry.npmjs.org/private/-/private-0.1.6.tgz
944npm http 200 https://registry.npmjs.org/regexpu/-/regexpu-1.2.0.tgz
945npm http 200 https://registry.npmjs.org/repeating/-/repeating-1.1.3.tgz
946npm http 200 https://registry.npmjs.org/regenerator/-/regenerator-0.8.35.tgz
947npm http 200 https://registry.npmjs.org/resolve/-/resolve-1.1.6.tgz
948npm http 200 https://registry.npmjs.org/shebang-regex/-/shebang-regex-1.0.0.tgz
949npm http 200 https://registry.npmjs.org/slash/-/slash-1.0.0.tgz
950npm http 200 https://registry.npmjs.org/source-map/-/source-map-0.4.4.tgz
951npm http 200 https://registry.npmjs.org/source-map-support/-/source-map-support-0.2.10.tgz
952npm http 200 https://registry.npmjs.org/to-fast-properties/-/to-fast-properties-1.0.1.tgz
953npm http 200 https://registry.npmjs.org/trim-right/-/trim-right-1.0.1.tgz
954npm http 200 https://registry.npmjs.org/core-js/-/core-js-1.1.0.tgz
955npm http 200 https://registry.npmjs.org/try-resolve/-/try-resolve-1.0.1.tgz
956npm http GET https://registry.npmjs.org/os-tmpdir/-/os-tmpdir-1.0.1.tgz
957npm http GET https://registry.npmjs.org/user-home/-/user-home-1.1.1.tgz
958npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.5.1.tgz
959npm http GET https://registry.npmjs.org/xtend/-/xtend-4.0.0.tgz
960npm http 200 https://registry.npmjs.org/os-tmpdir/-/os-tmpdir-1.0.1.tgz
961npm http 200 https://registry.npmjs.org/user-home/-/user-home-1.1.1.tgz
962npm http GET https://registry.npmjs.org/is-finite/-/is-finite-1.0.1.tgz
963npm http GET https://registry.npmjs.org/leven/-/leven-1.0.2.tgz
964npm http 200 https://registry.npmjs.org/mkdirp/-/mkdirp-0.5.1.tgz
965npm http GET https://registry.npmjs.org/get-stdin/-/get-stdin-4.0.1.tgz
966npm http GET https://registry.npmjs.org/minimist/-/minimist-1.1.3.tgz
967npm http 200 https://registry.npmjs.org/xtend/-/xtend-4.0.0.tgz
968npm http 200 https://registry.npmjs.org/is-finite/-/is-finite-1.0.1.tgz
969npm http GET https://registry.npmjs.org/is-nan/-/is-nan-1.2.1.tgz
970npm http 200 https://registry.npmjs.org/leven/-/leven-1.0.2.tgz
971npm http 200 https://registry.npmjs.org/minimist/-/minimist-1.1.3.tgz
972npm http 200 https://registry.npmjs.org/is-nan/-/is-nan-1.2.1.tgz
973npm http 200 https://registry.npmjs.org/get-stdin/-/get-stdin-4.0.1.tgz
974npm http GET https://registry.npmjs.org/left-pad/-/left-pad-0.0.3.tgz
975npm http 200 https://registry.npmjs.org/left-pad/-/left-pad-0.0.3.tgz
976npm http GET https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
977npm http 200 https://registry.npmjs.org/ms/-/ms-0.7.1.tgz
978npm http GET https://registry.npmjs.org/regjsparser/-/regjsparser-0.1.5.tgz
979npm http GET https://registry.npmjs.org/recast/-/recast-0.10.29.tgz
980npm http GET https://registry.npmjs.org/regenerate/-/regenerate-1.2.1.tgz
981npm http GET https://registry.npmjs.org/regjsgen/-/regjsgen-0.2.0.tgz
982npm http 200 https://registry.npmjs.org/regjsparser/-/regjsparser-0.1.5.tgz
983npm http 200 https://registry.npmjs.org/regjsgen/-/regjsgen-0.2.0.tgz
984npm http 200 https://registry.npmjs.org/regenerate/-/regenerate-1.2.1.tgz
985npm http 200 https://registry.npmjs.org/recast/-/recast-0.10.29.tgz
986npm http GET https://registry.npmjs.org/number-is-nan/-/number-is-nan-1.0.0.tgz
987npm http 200 https://registry.npmjs.org/number-is-nan/-/number-is-nan-1.0.0.tgz
988npm http GET https://registry.npmjs.org/recast/-/recast-0.10.24.tgz
989npm http GET https://registry.npmjs.org/through/-/through-2.3.8.tgz
990npm http GET https://registry.npmjs.org/commoner/-/commoner-0.10.3.tgz
991npm http GET https://registry.npmjs.org/defs/-/defs-1.1.0.tgz
992npm http GET https://registry.npmjs.org/esprima-fb/-/esprima-fb-15001.1.0-dev-harmony-fb.tgz
993npm http 200 https://registry.npmjs.org/recast/-/recast-0.10.24.tgz
994npm http 200 https://registry.npmjs.org/through/-/through-2.3.8.tgz
995npm http 200 https://registry.npmjs.org/commoner/-/commoner-0.10.3.tgz
996npm http 200 https://registry.npmjs.org/defs/-/defs-1.1.0.tgz
997npm http 200 https://registry.npmjs.org/esprima-fb/-/esprima-fb-15001.1.0-dev-harmony-fb.tgz
998npm http GET https://registry.npmjs.org/amdefine/-/amdefine-1.0.0.tgz
999npm http 200 https://registry.npmjs.org/amdefine/-/amdefine-1.0.0.tgz
1000npm http GET https://registry.npmjs.org/source-map/-/source-map-0.1.32.tgz
1001npm http 200 https://registry.npmjs.org/source-map/-/source-map-0.1.32.tgz
1002npm http GET https://registry.npmjs.org/number-is-nan/-/number-is-nan-1.0.0.tgz
1003npm http 200 https://registry.npmjs.org/number-is-nan/-/number-is-nan-1.0.0.tgz
1004npm http GET https://registry.npmjs.org/define-properties/-/define-properties-1.1.1.tgz
1005npm http 200 https://registry.npmjs.org/define-properties/-/define-properties-1.1.1.tgz
1006npm http GET https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
1007npm http 200 https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
1008npm http GET https://registry.npmjs.org/foreach/-/foreach-2.0.5.tgz
1009npm http GET https://registry.npmjs.org/object-keys/-/object-keys-1.0.7.tgz
1010npm http 200 https://registry.npmjs.org/object-keys/-/object-keys-1.0.7.tgz
1011npm http 200 https://registry.npmjs.org/foreach/-/foreach-2.0.5.tgz
1012npm http GET https://registry.npmjs.org/jsesc/-/jsesc-0.5.0.tgz
1013npm http 200 https://registry.npmjs.org/jsesc/-/jsesc-0.5.0.tgz
1014npm http GET https://registry.npmjs.org/esprima-fb/-/esprima-fb-15001.1001.0-dev-harmony-fb.tgz
1015npm http GET https://registry.npmjs.org/ast-types/-/ast-types-0.8.9.tgz
1016npm http 200 https://registry.npmjs.org/esprima-fb/-/esprima-fb-15001.1001.0-dev-harmony-fb.tgz
1017npm http 200 https://registry.npmjs.org/ast-types/-/ast-types-0.8.9.tgz
1018npm http GET https://registry.npmjs.org/amdefine/-/amdefine-1.0.0.tgz
1019npm http 200 https://registry.npmjs.org/amdefine/-/amdefine-1.0.0.tgz
1020npm http GET https://registry.npmjs.org/ast-types/-/ast-types-0.8.5.tgz
1021npm http 200 https://registry.npmjs.org/ast-types/-/ast-types-0.8.5.tgz
1022npm http GET https://registry.npmjs.org/graceful-fs/-/graceful-fs-3.0.8.tgz
1023npm http GET https://registry.npmjs.org/glob/-/glob-4.2.2.tgz
1024npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.5.1.tgz
1025npm http GET https://registry.npmjs.org/install/-/install-0.1.8.tgz
1026npm http GET https://registry.npmjs.org/iconv-lite/-/iconv-lite-0.4.11.tgz
1027npm http GET https://registry.npmjs.org/q/-/q-1.1.2.tgz
1028npm http GET https://registry.npmjs.org/commander/-/commander-2.5.1.tgz
1029npm http 200 https://registry.npmjs.org/graceful-fs/-/graceful-fs-3.0.8.tgz
1030npm http 200 https://registry.npmjs.org/glob/-/glob-4.2.2.tgz
1031npm http 200 https://registry.npmjs.org/q/-/q-1.1.2.tgz
1032npm http 200 https://registry.npmjs.org/commander/-/commander-2.5.1.tgz
1033npm http 200 https://registry.npmjs.org/install/-/install-0.1.8.tgz
1034npm http 200 https://registry.npmjs.org/mkdirp/-/mkdirp-0.5.1.tgz
1035npm http 200 https://registry.npmjs.org/iconv-lite/-/iconv-lite-0.4.11.tgz
1036npm http GET https://registry.npmjs.org/breakable/-/breakable-1.0.0.tgz
1037npm http GET https://registry.npmjs.org/simple-fmt/-/simple-fmt-0.1.0.tgz
1038npm http GET https://registry.npmjs.org/esprima-fb/-/esprima-fb-8001.1001.0-dev-harmony-fb.tgz
1039npm http GET https://registry.npmjs.org/simple-is/-/simple-is-0.2.0.tgz
1040npm http GET https://registry.npmjs.org/stringmap/-/stringmap-0.2.2.tgz
1041npm http GET https://registry.npmjs.org/stringset/-/stringset-0.2.1.tgz
1042npm http GET https://registry.npmjs.org/tryor/-/tryor-0.1.2.tgz
1043npm http GET https://registry.npmjs.org/yargs/-/yargs-1.3.3.tgz
1044npm http GET https://registry.npmjs.org/alter/-/alter-0.2.0.tgz
1045npm http GET https://registry.npmjs.org/ast-traverse/-/ast-traverse-0.1.1.tgz
1046npm http 200 https://registry.npmjs.org/esprima-fb/-/esprima-fb-8001.1001.0-dev-harmony-fb.tgz
1047npm http 200 https://registry.npmjs.org/breakable/-/breakable-1.0.0.tgz
1048npm http 200 https://registry.npmjs.org/stringset/-/stringset-0.2.1.tgz
1049npm http 200 https://registry.npmjs.org/stringmap/-/stringmap-0.2.2.tgz
1050npm http 200 https://registry.npmjs.org/simple-fmt/-/simple-fmt-0.1.0.tgz
1051npm http 200 https://registry.npmjs.org/simple-is/-/simple-is-0.2.0.tgz
1052npm http 200 https://registry.npmjs.org/tryor/-/tryor-0.1.2.tgz
1053npm http 200 https://registry.npmjs.org/yargs/-/yargs-1.3.3.tgz
1054npm http 200 https://registry.npmjs.org/alter/-/alter-0.2.0.tgz
1055npm http 200 https://registry.npmjs.org/ast-traverse/-/ast-traverse-0.1.1.tgz
1056npm http GET https://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz
1057npm http GET https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
1058npm http GET https://registry.npmjs.org/minimatch/-/minimatch-1.0.0.tgz
1059npm http GET https://registry.npmjs.org/once/-/once-1.3.2.tgz
1060npm http 200 https://registry.npmjs.org/inherits/-/inherits-2.0.1.tgz
1061npm http 200 https://registry.npmjs.org/once/-/once-1.3.2.tgz
1062npm http 200 https://registry.npmjs.org/inflight/-/inflight-1.0.4.tgz
1063npm http 200 https://registry.npmjs.org/minimatch/-/minimatch-1.0.0.tgz
1064npm http GET https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
1065npm http 200 https://registry.npmjs.org/minimist/-/minimist-0.0.8.tgz
1066npm http GET https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
1067npm http 200 https://registry.npmjs.org/wrappy/-/wrappy-1.0.1.tgz
1068npm http GET https://registry.npmjs.org/lru-cache/-/lru-cache-2.6.5.tgz
1069npm http GET https://registry.npmjs.org/sigmund/-/sigmund-1.0.1.tgz
1070npm http 200 https://registry.npmjs.org/lru-cache/-/lru-cache-2.6.5.tgz
1071npm http 200 https://registry.npmjs.org/sigmund/-/sigmund-1.0.1.tgz
1072npm http GET https://registry.npmjs.org/stable/-/stable-0.1.5.tgz
1073npm http 200 https://registry.npmjs.org/stable/-/stable-0.1.5.tgz
1074simplediff@0.1.1 node_modules/simplediff
1075
1076diff@1.0.7 node_modules/diff
1077
1078node-txstatsd@0.1.5 node_modules/node-txstatsd
1079
1080alea@0.0.9 node_modules/alea
1081
1082node-uuid@1.4.1 node_modules/node-uuid
1083
1084colors@1.1.2 node_modules/colors
1085
1086entities@1.1.1 node_modules/entities
1087
1088async@0.9.0 node_modules/async
1089
1090gelf-stream@0.2.4 node_modules/gelf-stream
1091└── gelfling@0.2.0
1092
1093serve-favicon@2.3.0 node_modules/serve-favicon
1094├── ms@0.7.1
1095├── fresh@0.3.0
1096├── etag@1.7.0
1097└── parseurl@1.3.0
1098
1099yargs@1.3.1 node_modules/yargs
1100
1101pegjs@0.8.0 node_modules/pegjs
1102
1103chai@3.0.0 node_modules/chai
1104├── assertion-error@1.0.1
1105├── type-detect@1.0.0
1106└── deep-eql@0.1.3 (type-detect@0.1.1)
1107
1108compression@1.5.2 node_modules/compression
1109├── bytes@2.1.0
1110├── vary@1.0.1
1111├── on-headers@1.0.0
1112├── debug@2.2.0 (ms@0.7.1)
1113├── compressible@2.0.5 (mime-db@1.17.0)
1114└── accepts@1.2.12 (negotiator@0.5.3, mime-types@2.1.5)
1115
1116express@4.13.3 node_modules/express
1117├── escape-html@1.0.2
1118├── merge-descriptors@1.0.0
1119├── array-flatten@1.1.1
1120├── cookie@0.1.3
1121├── path-to-regexp@0.1.7
1122├── utils-merge@1.0.0
1123├── cookie-signature@1.0.6
1124├── methods@1.1.1
1125├── fresh@0.3.0
1126├── range-parser@1.0.2
1127├── vary@1.0.1
1128├── content-type@1.0.1
1129├── etag@1.7.0
1130├── parseurl@1.3.0
1131├── content-disposition@0.5.0
1132├── serve-static@1.10.0
1133├── depd@1.0.1
1134├── qs@4.0.0
1135├── on-finished@2.3.0 (ee-first@1.1.1)
1136├── finalhandler@0.4.0 (unpipe@1.0.0)
1137├── debug@2.2.0 (ms@0.7.1)
1138├── proxy-addr@1.0.8 (forwarded@0.1.0, ipaddr.js@1.0.1)
1139├── send@0.13.0 (destroy@1.0.3, ms@0.7.1, statuses@1.2.1, mime@1.3.4, http-errors@1.3.1)
1140├── accepts@1.2.12 (negotiator@0.5.3, mime-types@2.1.5)
1141└── type-is@1.6.7 (media-typer@0.3.0, mime-types@2.1.5)
1142
1143bunyan@1.0.0 node_modules/bunyan
1144└── mv@2.0.3 (rimraf@2.2.8, ncp@0.6.0, mkdirp@0.5.0)
1145
1146prfun@2.0.0 node_modules/prfun
1147└── es6-shim@0.33.3
1148
1149body-parser@1.13.3 node_modules/body-parser
1150├── bytes@2.1.0
1151├── content-type@1.0.1
1152├── depd@1.0.1
1153├── qs@4.0.0
1154├── on-finished@2.3.0 (ee-first@1.1.1)
1155├── raw-body@2.1.2 (unpipe@1.0.0)
1156├── http-errors@1.3.1 (inherits@2.0.1, statuses@1.2.1)
1157├── debug@2.2.0 (ms@0.7.1)
1158├── iconv-lite@0.4.11
1159└── type-is@1.6.7 (media-typer@0.3.0, mime-types@2.1.5)
1160
1161mocha@2.2.5 node_modules/mocha
1162├── escape-string-regexp@1.0.2
1163├── supports-color@1.2.1
1164├── growl@1.8.1
1165├── commander@2.3.0
1166├── diff@1.4.0
1167├── debug@2.0.0 (ms@0.6.2)
1168├── mkdirp@0.5.0 (minimist@0.0.8)
1169├── jade@0.26.3 (commander@0.6.1, mkdirp@0.3.0)
1170└── glob@3.2.3 (inherits@2.0.1, graceful-fs@2.0.3, minimatch@0.2.14)
1171
1172supertest@1.0.1 node_modules/supertest
1173├── methods@1.1.1
1174└── superagent@1.2.0 (extend@1.2.1, methods@1.0.1, cookiejar@2.0.1, component-emitter@1.1.2, reduce-component@1.0.1, mime@1.3.4, qs@2.3.3, debug@2.2.0, formidable@1.0.14, readable-stream@1.0.27-1, form-data@0.2.0)
1175
1176core-js@0.8.4 node_modules/core-js
1177
1178html5@1.0.5 node_modules/html5
1179├── opts@1.2.2
1180└── html5-entities@1.0.0
1181
1182connect-busboy@0.0.2 node_modules/connect-busboy
1183└── busboy@0.2.9 (readable-stream@1.1.13, dicer@0.2.3)
1184
1185request@2.63.0 node_modules/request
1186├── aws-sign2@0.5.0
1187├── forever-agent@0.6.1
1188├── stringstream@0.0.4
1189├── caseless@0.11.0
1190├── oauth-sign@0.8.0
1191├── tunnel-agent@0.4.1
1192├── isstream@0.1.2
1193├── json-stringify-safe@5.0.1
1194├── extend@3.0.0
1195├── qs@5.1.0
1196├── combined-stream@1.0.5 (delayed-stream@1.0.0)
1197├── form-data@1.0.0-rc3 (async@1.4.2)
1198├── tough-cookie@2.0.0
1199├── mime-types@2.1.7 (mime-db@1.19.0)
1200├── http-signature@0.11.0 (assert-plus@0.1.5, asn1@0.1.11, ctype@0.5.3)
1201├── bl@1.0.0 (readable-stream@2.0.2)
1202├── hawk@3.1.0 (cryptiles@2.0.5, sntp@1.0.9, boom@2.9.0, hoek@2.16.3)
1203└── har-validator@1.8.0 (commander@2.8.1, chalk@1.1.1, bluebird@2.10.1, is-my-json-valid@2.12.2)
1204
1205coveralls@2.11.2 node_modules/coveralls
1206├── lcov-parse@0.0.6
1207├── log-driver@1.2.4
1208├── request@2.40.0 (aws-sign2@0.5.0, forever-agent@0.5.2, oauth-sign@0.3.0, stringstream@0.0.4, tunnel-agent@0.4.1, json-stringify-safe@5.0.1, qs@1.0.2, mime-types@1.0.2, form-data@0.1.4, http-signature@0.10.1, hawk@1.1.1, tough-cookie@2.0.0)
1209└── js-yaml@3.0.1 (argparse@0.1.16, esprima@1.0.4)
1210
1211domino@1.0.19 node_modules/domino
1212
1213express-handlebars@2.0.1 node_modules/express-handlebars
1214├── graceful-fs@3.0.8
1215├── promise@6.1.0 (asap@1.0.0)
1216├── object.assign@1.1.1 (object-keys@1.0.7)
1217├── glob@5.0.14 (path-is-absolute@1.0.0, inherits@2.0.1, once@1.3.2, inflight@1.0.4, minimatch@2.0.10)
1218└── handlebars@3.0.3 (source-map@0.1.43, optimist@0.6.1, uglify-js@2.3.6)
1219
1220jshint@2.8.0 node_modules/jshint
1221├── strip-json-comments@1.0.2
1222├── exit@0.1.2
1223├── shelljs@0.3.0
1224├── console-browserify@1.1.0 (date-now@0.1.4)
1225├── minimatch@2.0.8 (brace-expansion@1.1.0)
1226├── htmlparser2@3.8.3 (domelementtype@1.3.0, entities@1.0.0, domhandler@2.3.0, readable-stream@1.1.13, domutils@1.5.1)
1227├── cli@0.6.6 (glob@3.2.11)
1228└── lodash@3.7.0
1229
1230istanbul@0.3.17 node_modules/istanbul
1231├── supports-color@1.3.1
1232├── which@1.0.9
1233├── abbrev@1.0.7
1234├── nopt@3.0.3
1235├── wordwrap@0.0.3
1236├── async@1.3.0
1237├── once@1.3.2 (wrappy@1.0.1)
1238├── esprima@2.4.1
1239├── resolve@1.1.6
1240├── mkdirp@0.5.1 (minimist@0.0.8)
1241├── fileset@0.2.1 (glob@5.0.13, minimatch@2.0.8)
1242├── handlebars@3.0.0 (optimist@0.6.1, source-map@0.1.43, uglify-js@2.3.6)
1243├── escodegen@1.6.1 (esutils@1.1.6, estraverse@1.9.3, optionator@0.5.0, source-map@0.1.43, esprima@1.2.5)
1244└── js-yaml@3.3.1 (esprima@2.2.0, argparse@1.0.2)
1245
1246jscs@2.1.0 node_modules/jscs
1247├── strip-json-comments@1.0.4
1248├── reserved-words@0.1.1
1249├── natural-compare@1.2.2
1250├── babel-jscs@2.0.3
1251├── pathval@0.1.1
1252├── estraverse@4.1.0
1253├── vow@0.4.10
1254├── exit@0.1.2
1255├── commander@2.8.1 (graceful-readlink@1.0.1)
1256├── esprima@2.5.0
1257├── chalk@1.1.0 (escape-string-regexp@1.0.3, supports-color@2.0.0, ansi-styles@2.1.0, has-ansi@2.0.0, strip-ansi@3.0.0)
1258├── lodash.assign@3.2.0 (lodash._baseassign@3.2.0, lodash._createassigner@3.1.1, lodash.keys@3.1.2)
1259├── glob@5.0.14 (path-is-absolute@1.0.0, inherits@2.0.1, inflight@1.0.4, once@1.3.2)
1260├── minimatch@2.0.10 (brace-expansion@1.1.0)
1261├── cli-table@0.3.1 (colors@1.0.3)
1262├── vow-fs@0.3.4 (vow-queue@0.4.2, node-uuid@1.4.3, glob@4.5.3)
1263├── to-single-quotes@1.0.3 (get-stdin@3.0.2, meow@3.3.0)
1264├── to-double-quotes@1.0.1 (get-stdin@3.0.2, meow@3.3.0)
1265├── prompt@0.2.14 (revalidator@0.1.8, pkginfo@0.3.0, read@1.0.6, winston@0.8.3, utile@0.2.1)
1266├── xmlbuilder@2.6.4 (lodash@3.10.1)
1267├── jscs-jsdoc@1.1.0 (comment-parser@0.3.0, jsdoctypeparser@1.2.0)
1268└── babel-core@5.8.22 (slash@1.0.0, shebang-regex@1.0.0, try-resolve@1.0.1, to-fast-properties@1.0.1, trim-right@1.0.1, path-is-absolute@1.0.0, path-exists@1.0.0, fs-readdir-recursive@0.1.2, babel-plugin-remove-console@1.0.1, babel-plugin-remove-debugger@1.0.1, babel-plugin-eval@1.0.1, babel-plugin-inline-environment-variables@1.0.1, babel-plugin-jscript@1.0.4, babel-plugin-property-literals@1.0.1, babel-plugin-member-expression-literals@1.0.1, babel-plugin-react-constant-elements@1.0.3, babel-plugin-undefined-to-void@1.1.6, babel-plugin-react-display-name@1.0.3, babel-plugin-constant-folding@1.0.1, babel-plugin-proto-to-assign@1.0.4, babel-plugin-dead-code-elimination@1.0.2, babel-plugin-runtime@1.0.7, globals@6.4.1, private@0.1.6, esutils@2.0.2, convert-source-map@1.1.1, js-tokens@1.0.1, home-or-tmp@1.0.0, babel-plugin-undeclared-variables-check@1.0.2, line-numbers@0.2.0, debug@2.2.0, repeating@1.1.3, babylon@5.8.22, resolve@1.1.6, source-map@0.4.4, detect-indent@3.0.1, bluebird@2.9.34, json5@0.4.0, output-file-sync@1.1.1, is-integer@1.0.4, source-map-support@0.2.10, lodash@3.10.1, core-js@1.1.0, regexpu@1.2.0, regenerator@0.8.35)
1269[beta-parsoid-update-eqiad] $ /bin/bash -xe /tmp/hudson1021453204703444121.sh
1270+ PARSOID_TARGET=/srv/deployment/parsoid
1271+ mkdir -p /srv/deployment/parsoid
1272+ RSYNC_OPTS='--update --times --recursive --links --delete-after --delay-updates'
1273+ rsync --update --times --recursive --links --delete-after --delay-updates /mnt/jenkins-workspace/workspace/beta-parsoid-update-eqiad/parsoid /srv/deployment/parsoid
1274+ rsync --update --times --recursive --links --delete-after --delay-updates /mnt/jenkins-workspace/workspace/beta-parsoid-update-eqiad/deploy /srv/deployment/parsoid
1275[beta-parsoid-update-eqiad] $ /bin/bash -xe /tmp/hudson7837930390595349119.sh
1276+ sudo /etc/init.d/parsoid restart
1277Rather than invoking init scripts through /etc/init.d, use the service(8)
1278utility, e.g. service parsoid restart
1279
1280Since the script you are attempting to invoke has been converted to an
1281Upstart job, you may also use the stop(8) and then start(8) utilities,
1282e.g. stop parsoid ; start parsoid. The restart(8) utility is also available.
1283parsoid start/running, process 4058
1284Finished: SUCCESS

On deployment-parsoid05 there is:

curl --silent http://127.0.0.1:8000/_version|python -m json.tool
{
    "name": "parsoid",
    "sha": "850b02d7f4d55f4d8a2496688b277c6c33a94d3b",
    "version": "0.4.1-git"
}

Change 243997 merged by jenkins-bot:
parsoid: deploy node_modules with npm

https://gerrit.wikimedia.org/r/243997

hashar added a comment.Oct 9 2015, 8:28 PM

Lets keep the task open for monitoring purpose. If this need to be reverted:

cscott added a subscriber: Arlolra.Oct 21 2015, 5:45 PM

@subbu, @Arlolra -- at SoS release engineering said they are just waiting for us to verify that this change is effective and works well for us. We should run some tests to ensure that beta is being updated as we expect.

Current state:

$ ssh deployment-parsoid05.deployment-prep.eqiad.wmflabs 'curl --silent http://127.0.0.1:8000/_version|python -m json.tool'
{
    "name": "parsoid",
    "sha": "41f4be5b638dc6f476ca13c29bfc5cd5edff910e",
    "version": "0.4.1-git"
}

You can see the Jenkins deploy log at https://integration.wikimedia.org/ci/job/beta-parsoid-update-eqiad/ . It does not test anything and just /etc/init.d/parsoid restart. Maybe we can add to the job output the curl command above?

Soonish ™ we will migrate the Jenkins job to use scap3 but that is a different story.

hashar closed this task as Resolved.Oct 27 2015, 2:33 PM

After a couple weeks, the Parsoid service on beta cluster seems to run just fine using the source repository and npm install.

Change 243987 merged by Dzahn:
beta: point parsoid back to source code

https://gerrit.wikimedia.org/r/243987

Change 243992 merged by Dzahn:
beta: parsoid now uses modules defined in source

https://gerrit.wikimedia.org/r/243992